

{- |
Copyright  : Will Thompson, Iñaki García Etxebarria and Jonas Platte
License    : LGPL-2.1
Maintainer : Iñaki García Etxebarria (garetxe@gmail.com)
-}

module GI.Gtk.Objects.AboutDialog
    ( 

-- * Exported types
    AboutDialog(..)                         ,
    AboutDialogK                            ,
    toAboutDialog                           ,
    noAboutDialog                           ,


 -- * Methods
-- ** aboutDialogAddCreditSection
    AboutDialogAddCreditSectionMethodInfo   ,
    aboutDialogAddCreditSection             ,


-- ** aboutDialogGetArtists
    AboutDialogGetArtistsMethodInfo         ,
    aboutDialogGetArtists                   ,


-- ** aboutDialogGetAuthors
    AboutDialogGetAuthorsMethodInfo         ,
    aboutDialogGetAuthors                   ,


-- ** aboutDialogGetComments
    AboutDialogGetCommentsMethodInfo        ,
    aboutDialogGetComments                  ,


-- ** aboutDialogGetCopyright
    AboutDialogGetCopyrightMethodInfo       ,
    aboutDialogGetCopyright                 ,


-- ** aboutDialogGetDocumenters
    AboutDialogGetDocumentersMethodInfo     ,
    aboutDialogGetDocumenters               ,


-- ** aboutDialogGetLicense
    AboutDialogGetLicenseMethodInfo         ,
    aboutDialogGetLicense                   ,


-- ** aboutDialogGetLicenseType
    AboutDialogGetLicenseTypeMethodInfo     ,
    aboutDialogGetLicenseType               ,


-- ** aboutDialogGetLogo
    AboutDialogGetLogoMethodInfo            ,
    aboutDialogGetLogo                      ,


-- ** aboutDialogGetLogoIconName
    AboutDialogGetLogoIconNameMethodInfo    ,
    aboutDialogGetLogoIconName              ,


-- ** aboutDialogGetProgramName
    AboutDialogGetProgramNameMethodInfo     ,
    aboutDialogGetProgramName               ,


-- ** aboutDialogGetTranslatorCredits
    AboutDialogGetTranslatorCreditsMethodInfo,
    aboutDialogGetTranslatorCredits         ,


-- ** aboutDialogGetVersion
    AboutDialogGetVersionMethodInfo         ,
    aboutDialogGetVersion                   ,


-- ** aboutDialogGetWebsite
    AboutDialogGetWebsiteMethodInfo         ,
    aboutDialogGetWebsite                   ,


-- ** aboutDialogGetWebsiteLabel
    AboutDialogGetWebsiteLabelMethodInfo    ,
    aboutDialogGetWebsiteLabel              ,


-- ** aboutDialogGetWrapLicense
    AboutDialogGetWrapLicenseMethodInfo     ,
    aboutDialogGetWrapLicense               ,


-- ** aboutDialogNew
    aboutDialogNew                          ,


-- ** aboutDialogSetArtists
    AboutDialogSetArtistsMethodInfo         ,
    aboutDialogSetArtists                   ,


-- ** aboutDialogSetAuthors
    AboutDialogSetAuthorsMethodInfo         ,
    aboutDialogSetAuthors                   ,


-- ** aboutDialogSetComments
    AboutDialogSetCommentsMethodInfo        ,
    aboutDialogSetComments                  ,


-- ** aboutDialogSetCopyright
    AboutDialogSetCopyrightMethodInfo       ,
    aboutDialogSetCopyright                 ,


-- ** aboutDialogSetDocumenters
    AboutDialogSetDocumentersMethodInfo     ,
    aboutDialogSetDocumenters               ,


-- ** aboutDialogSetLicense
    AboutDialogSetLicenseMethodInfo         ,
    aboutDialogSetLicense                   ,


-- ** aboutDialogSetLicenseType
    AboutDialogSetLicenseTypeMethodInfo     ,
    aboutDialogSetLicenseType               ,


-- ** aboutDialogSetLogo
    AboutDialogSetLogoMethodInfo            ,
    aboutDialogSetLogo                      ,


-- ** aboutDialogSetLogoIconName
    AboutDialogSetLogoIconNameMethodInfo    ,
    aboutDialogSetLogoIconName              ,


-- ** aboutDialogSetProgramName
    AboutDialogSetProgramNameMethodInfo     ,
    aboutDialogSetProgramName               ,


-- ** aboutDialogSetTranslatorCredits
    AboutDialogSetTranslatorCreditsMethodInfo,
    aboutDialogSetTranslatorCredits         ,


-- ** aboutDialogSetVersion
    AboutDialogSetVersionMethodInfo         ,
    aboutDialogSetVersion                   ,


-- ** aboutDialogSetWebsite
    AboutDialogSetWebsiteMethodInfo         ,
    aboutDialogSetWebsite                   ,


-- ** aboutDialogSetWebsiteLabel
    AboutDialogSetWebsiteLabelMethodInfo    ,
    aboutDialogSetWebsiteLabel              ,


-- ** aboutDialogSetWrapLicense
    AboutDialogSetWrapLicenseMethodInfo     ,
    aboutDialogSetWrapLicense               ,




 -- * Properties
-- ** Artists
    AboutDialogArtistsPropertyInfo          ,
    aboutDialogArtists                      ,
    constructAboutDialogArtists             ,
    getAboutDialogArtists                   ,
    setAboutDialogArtists                   ,


-- ** Authors
    AboutDialogAuthorsPropertyInfo          ,
    aboutDialogAuthors                      ,
    constructAboutDialogAuthors             ,
    getAboutDialogAuthors                   ,
    setAboutDialogAuthors                   ,


-- ** Comments
    AboutDialogCommentsPropertyInfo         ,
    aboutDialogComments                     ,
    clearAboutDialogComments                ,
    constructAboutDialogComments            ,
    getAboutDialogComments                  ,
    setAboutDialogComments                  ,


-- ** Copyright
    AboutDialogCopyrightPropertyInfo        ,
    aboutDialogCopyright                    ,
    clearAboutDialogCopyright               ,
    constructAboutDialogCopyright           ,
    getAboutDialogCopyright                 ,
    setAboutDialogCopyright                 ,


-- ** Documenters
    AboutDialogDocumentersPropertyInfo      ,
    aboutDialogDocumenters                  ,
    constructAboutDialogDocumenters         ,
    getAboutDialogDocumenters               ,
    setAboutDialogDocumenters               ,


-- ** License
    AboutDialogLicensePropertyInfo          ,
    aboutDialogLicense                      ,
    clearAboutDialogLicense                 ,
    constructAboutDialogLicense             ,
    getAboutDialogLicense                   ,
    setAboutDialogLicense                   ,


-- ** LicenseType
    AboutDialogLicenseTypePropertyInfo      ,
    aboutDialogLicenseType                  ,
    constructAboutDialogLicenseType         ,
    getAboutDialogLicenseType               ,
    setAboutDialogLicenseType               ,


-- ** Logo
    AboutDialogLogoPropertyInfo             ,
    aboutDialogLogo                         ,
    clearAboutDialogLogo                    ,
    constructAboutDialogLogo                ,
    getAboutDialogLogo                      ,
    setAboutDialogLogo                      ,


-- ** LogoIconName
    AboutDialogLogoIconNamePropertyInfo     ,
    aboutDialogLogoIconName                 ,
    clearAboutDialogLogoIconName            ,
    constructAboutDialogLogoIconName        ,
    getAboutDialogLogoIconName              ,
    setAboutDialogLogoIconName              ,


-- ** ProgramName
    AboutDialogProgramNamePropertyInfo      ,
    aboutDialogProgramName                  ,
    constructAboutDialogProgramName         ,
    getAboutDialogProgramName               ,
    setAboutDialogProgramName               ,


-- ** TranslatorCredits
    AboutDialogTranslatorCreditsPropertyInfo,
    aboutDialogTranslatorCredits            ,
    clearAboutDialogTranslatorCredits       ,
    constructAboutDialogTranslatorCredits   ,
    getAboutDialogTranslatorCredits         ,
    setAboutDialogTranslatorCredits         ,


-- ** Version
    AboutDialogVersionPropertyInfo          ,
    aboutDialogVersion                      ,
    clearAboutDialogVersion                 ,
    constructAboutDialogVersion             ,
    getAboutDialogVersion                   ,
    setAboutDialogVersion                   ,


-- ** Website
    AboutDialogWebsitePropertyInfo          ,
    aboutDialogWebsite                      ,
    clearAboutDialogWebsite                 ,
    constructAboutDialogWebsite             ,
    getAboutDialogWebsite                   ,
    setAboutDialogWebsite                   ,


-- ** WebsiteLabel
    AboutDialogWebsiteLabelPropertyInfo     ,
    aboutDialogWebsiteLabel                 ,
    constructAboutDialogWebsiteLabel        ,
    getAboutDialogWebsiteLabel              ,
    setAboutDialogWebsiteLabel              ,


-- ** WrapLicense
    AboutDialogWrapLicensePropertyInfo      ,
    aboutDialogWrapLicense                  ,
    constructAboutDialogWrapLicense         ,
    getAboutDialogWrapLicense               ,
    setAboutDialogWrapLicense               ,




 -- * Signals
-- ** ActivateLink
    AboutDialogActivateLinkCallback         ,
    AboutDialogActivateLinkCallbackC        ,
    AboutDialogActivateLinkSignalInfo       ,
    aboutDialogActivateLinkCallbackWrapper  ,
    aboutDialogActivateLinkClosure          ,
    afterAboutDialogActivateLink            ,
    mkAboutDialogActivateLinkCallback       ,
    noAboutDialogActivateLinkCallback       ,
    onAboutDialogActivateLink               ,




    ) where

import Data.GI.Base.ShortPrelude

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map

import GI.Gtk.Types
import GI.Gtk.Callbacks
import qualified GI.Atk as Atk
import qualified GI.GObject as GObject
import qualified GI.GdkPixbuf as GdkPixbuf

newtype AboutDialog = AboutDialog (ForeignPtr AboutDialog)
foreign import ccall "gtk_about_dialog_get_type"
    c_gtk_about_dialog_get_type :: IO GType

type instance ParentTypes AboutDialog = AboutDialogParentTypes
type AboutDialogParentTypes = '[Dialog, Window, Bin, Container, Widget, GObject.Object, Atk.ImplementorIface, Buildable]

instance GObject AboutDialog where
    gobjectIsInitiallyUnowned _ = True
    gobjectType _ = c_gtk_about_dialog_get_type
    

class GObject o => AboutDialogK o
instance (GObject o, IsDescendantOf AboutDialog o) => AboutDialogK o

toAboutDialog :: AboutDialogK o => o -> IO AboutDialog
toAboutDialog = unsafeCastTo AboutDialog

noAboutDialog :: Maybe AboutDialog
noAboutDialog = Nothing

type family ResolveAboutDialogMethod (t :: Symbol) (o :: *) :: * where
    ResolveAboutDialogMethod "activate" o = WidgetActivateMethodInfo
    ResolveAboutDialogMethod "activateDefault" o = WindowActivateDefaultMethodInfo
    ResolveAboutDialogMethod "activateFocus" o = WindowActivateFocusMethodInfo
    ResolveAboutDialogMethod "activateKey" o = WindowActivateKeyMethodInfo
    ResolveAboutDialogMethod "add" o = ContainerAddMethodInfo
    ResolveAboutDialogMethod "addAccelGroup" o = WindowAddAccelGroupMethodInfo
    ResolveAboutDialogMethod "addAccelerator" o = WidgetAddAcceleratorMethodInfo
    ResolveAboutDialogMethod "addActionWidget" o = DialogAddActionWidgetMethodInfo
    ResolveAboutDialogMethod "addButton" o = DialogAddButtonMethodInfo
    ResolveAboutDialogMethod "addChild" o = BuildableAddChildMethodInfo
    ResolveAboutDialogMethod "addCreditSection" o = AboutDialogAddCreditSectionMethodInfo
    ResolveAboutDialogMethod "addDeviceEvents" o = WidgetAddDeviceEventsMethodInfo
    ResolveAboutDialogMethod "addEvents" o = WidgetAddEventsMethodInfo
    ResolveAboutDialogMethod "addMnemonic" o = WindowAddMnemonicMethodInfo
    ResolveAboutDialogMethod "addMnemonicLabel" o = WidgetAddMnemonicLabelMethodInfo
    ResolveAboutDialogMethod "addTickCallback" o = WidgetAddTickCallbackMethodInfo
    ResolveAboutDialogMethod "beginMoveDrag" o = WindowBeginMoveDragMethodInfo
    ResolveAboutDialogMethod "beginResizeDrag" o = WindowBeginResizeDragMethodInfo
    ResolveAboutDialogMethod "bindProperty" o = GObject.ObjectBindPropertyMethodInfo
    ResolveAboutDialogMethod "bindPropertyFull" o = GObject.ObjectBindPropertyFullMethodInfo
    ResolveAboutDialogMethod "canActivateAccel" o = WidgetCanActivateAccelMethodInfo
    ResolveAboutDialogMethod "checkResize" o = ContainerCheckResizeMethodInfo
    ResolveAboutDialogMethod "childFocus" o = WidgetChildFocusMethodInfo
    ResolveAboutDialogMethod "childGetProperty" o = ContainerChildGetPropertyMethodInfo
    ResolveAboutDialogMethod "childNotifyByPspec" o = ContainerChildNotifyByPspecMethodInfo
    ResolveAboutDialogMethod "childSetProperty" o = ContainerChildSetPropertyMethodInfo
    ResolveAboutDialogMethod "childType" o = ContainerChildTypeMethodInfo
    ResolveAboutDialogMethod "classPath" o = WidgetClassPathMethodInfo
    ResolveAboutDialogMethod "close" o = WindowCloseMethodInfo
    ResolveAboutDialogMethod "computeExpand" o = WidgetComputeExpandMethodInfo
    ResolveAboutDialogMethod "constructChild" o = BuildableConstructChildMethodInfo
    ResolveAboutDialogMethod "createPangoContext" o = WidgetCreatePangoContextMethodInfo
    ResolveAboutDialogMethod "createPangoLayout" o = WidgetCreatePangoLayoutMethodInfo
    ResolveAboutDialogMethod "customFinished" o = BuildableCustomFinishedMethodInfo
    ResolveAboutDialogMethod "customTagEnd" o = BuildableCustomTagEndMethodInfo
    ResolveAboutDialogMethod "customTagStart" o = BuildableCustomTagStartMethodInfo
    ResolveAboutDialogMethod "deiconify" o = WindowDeiconifyMethodInfo
    ResolveAboutDialogMethod "destroy" o = WidgetDestroyMethodInfo
    ResolveAboutDialogMethod "destroyed" o = WidgetDestroyedMethodInfo
    ResolveAboutDialogMethod "deviceIsShadowed" o = WidgetDeviceIsShadowedMethodInfo
    ResolveAboutDialogMethod "dragBegin" o = WidgetDragBeginMethodInfo
    ResolveAboutDialogMethod "dragBeginWithCoordinates" o = WidgetDragBeginWithCoordinatesMethodInfo
    ResolveAboutDialogMethod "dragCheckThreshold" o = WidgetDragCheckThresholdMethodInfo
    ResolveAboutDialogMethod "dragDestAddImageTargets" o = WidgetDragDestAddImageTargetsMethodInfo
    ResolveAboutDialogMethod "dragDestAddTextTargets" o = WidgetDragDestAddTextTargetsMethodInfo
    ResolveAboutDialogMethod "dragDestAddUriTargets" o = WidgetDragDestAddUriTargetsMethodInfo
    ResolveAboutDialogMethod "dragDestFindTarget" o = WidgetDragDestFindTargetMethodInfo
    ResolveAboutDialogMethod "dragDestGetTargetList" o = WidgetDragDestGetTargetListMethodInfo
    ResolveAboutDialogMethod "dragDestGetTrackMotion" o = WidgetDragDestGetTrackMotionMethodInfo
    ResolveAboutDialogMethod "dragDestSet" o = WidgetDragDestSetMethodInfo
    ResolveAboutDialogMethod "dragDestSetProxy" o = WidgetDragDestSetProxyMethodInfo
    ResolveAboutDialogMethod "dragDestSetTargetList" o = WidgetDragDestSetTargetListMethodInfo
    ResolveAboutDialogMethod "dragDestSetTrackMotion" o = WidgetDragDestSetTrackMotionMethodInfo
    ResolveAboutDialogMethod "dragDestUnset" o = WidgetDragDestUnsetMethodInfo
    ResolveAboutDialogMethod "dragGetData" o = WidgetDragGetDataMethodInfo
    ResolveAboutDialogMethod "dragHighlight" o = WidgetDragHighlightMethodInfo
    ResolveAboutDialogMethod "dragSourceAddImageTargets" o = WidgetDragSourceAddImageTargetsMethodInfo
    ResolveAboutDialogMethod "dragSourceAddTextTargets" o = WidgetDragSourceAddTextTargetsMethodInfo
    ResolveAboutDialogMethod "dragSourceAddUriTargets" o = WidgetDragSourceAddUriTargetsMethodInfo
    ResolveAboutDialogMethod "dragSourceGetTargetList" o = WidgetDragSourceGetTargetListMethodInfo
    ResolveAboutDialogMethod "dragSourceSet" o = WidgetDragSourceSetMethodInfo
    ResolveAboutDialogMethod "dragSourceSetIconGicon" o = WidgetDragSourceSetIconGiconMethodInfo
    ResolveAboutDialogMethod "dragSourceSetIconName" o = WidgetDragSourceSetIconNameMethodInfo
    ResolveAboutDialogMethod "dragSourceSetIconPixbuf" o = WidgetDragSourceSetIconPixbufMethodInfo
    ResolveAboutDialogMethod "dragSourceSetIconStock" o = WidgetDragSourceSetIconStockMethodInfo
    ResolveAboutDialogMethod "dragSourceSetTargetList" o = WidgetDragSourceSetTargetListMethodInfo
    ResolveAboutDialogMethod "dragSourceUnset" o = WidgetDragSourceUnsetMethodInfo
    ResolveAboutDialogMethod "dragUnhighlight" o = WidgetDragUnhighlightMethodInfo
    ResolveAboutDialogMethod "draw" o = WidgetDrawMethodInfo
    ResolveAboutDialogMethod "ensureStyle" o = WidgetEnsureStyleMethodInfo
    ResolveAboutDialogMethod "errorBell" o = WidgetErrorBellMethodInfo
    ResolveAboutDialogMethod "event" o = WidgetEventMethodInfo
    ResolveAboutDialogMethod "forall" o = ContainerForallMethodInfo
    ResolveAboutDialogMethod "forceFloating" o = GObject.ObjectForceFloatingMethodInfo
    ResolveAboutDialogMethod "foreach" o = ContainerForeachMethodInfo
    ResolveAboutDialogMethod "freezeChildNotify" o = WidgetFreezeChildNotifyMethodInfo
    ResolveAboutDialogMethod "freezeNotify" o = GObject.ObjectFreezeNotifyMethodInfo
    ResolveAboutDialogMethod "fullscreen" o = WindowFullscreenMethodInfo
    ResolveAboutDialogMethod "fullscreenOnMonitor" o = WindowFullscreenOnMonitorMethodInfo
    ResolveAboutDialogMethod "grabAdd" o = WidgetGrabAddMethodInfo
    ResolveAboutDialogMethod "grabDefault" o = WidgetGrabDefaultMethodInfo
    ResolveAboutDialogMethod "grabFocus" o = WidgetGrabFocusMethodInfo
    ResolveAboutDialogMethod "grabRemove" o = WidgetGrabRemoveMethodInfo
    ResolveAboutDialogMethod "hasDefault" o = WidgetHasDefaultMethodInfo
    ResolveAboutDialogMethod "hasFocus" o = WidgetHasFocusMethodInfo
    ResolveAboutDialogMethod "hasGrab" o = WidgetHasGrabMethodInfo
    ResolveAboutDialogMethod "hasGroup" o = WindowHasGroupMethodInfo
    ResolveAboutDialogMethod "hasRcStyle" o = WidgetHasRcStyleMethodInfo
    ResolveAboutDialogMethod "hasScreen" o = WidgetHasScreenMethodInfo
    ResolveAboutDialogMethod "hasToplevelFocus" o = WindowHasToplevelFocusMethodInfo
    ResolveAboutDialogMethod "hasVisibleFocus" o = WidgetHasVisibleFocusMethodInfo
    ResolveAboutDialogMethod "hide" o = WidgetHideMethodInfo
    ResolveAboutDialogMethod "hideOnDelete" o = WidgetHideOnDeleteMethodInfo
    ResolveAboutDialogMethod "iconify" o = WindowIconifyMethodInfo
    ResolveAboutDialogMethod "inDestruction" o = WidgetInDestructionMethodInfo
    ResolveAboutDialogMethod "initTemplate" o = WidgetInitTemplateMethodInfo
    ResolveAboutDialogMethod "inputShapeCombineRegion" o = WidgetInputShapeCombineRegionMethodInfo
    ResolveAboutDialogMethod "insertActionGroup" o = WidgetInsertActionGroupMethodInfo
    ResolveAboutDialogMethod "intersect" o = WidgetIntersectMethodInfo
    ResolveAboutDialogMethod "isActive" o = WindowIsActiveMethodInfo
    ResolveAboutDialogMethod "isAncestor" o = WidgetIsAncestorMethodInfo
    ResolveAboutDialogMethod "isComposited" o = WidgetIsCompositedMethodInfo
    ResolveAboutDialogMethod "isDrawable" o = WidgetIsDrawableMethodInfo
    ResolveAboutDialogMethod "isFloating" o = GObject.ObjectIsFloatingMethodInfo
    ResolveAboutDialogMethod "isFocus" o = WidgetIsFocusMethodInfo
    ResolveAboutDialogMethod "isMaximized" o = WindowIsMaximizedMethodInfo
    ResolveAboutDialogMethod "isSensitive" o = WidgetIsSensitiveMethodInfo
    ResolveAboutDialogMethod "isToplevel" o = WidgetIsToplevelMethodInfo
    ResolveAboutDialogMethod "isVisible" o = WidgetIsVisibleMethodInfo
    ResolveAboutDialogMethod "keynavFailed" o = WidgetKeynavFailedMethodInfo
    ResolveAboutDialogMethod "listAccelClosures" o = WidgetListAccelClosuresMethodInfo
    ResolveAboutDialogMethod "listActionPrefixes" o = WidgetListActionPrefixesMethodInfo
    ResolveAboutDialogMethod "listMnemonicLabels" o = WidgetListMnemonicLabelsMethodInfo
    ResolveAboutDialogMethod "map" o = WidgetMapMethodInfo
    ResolveAboutDialogMethod "maximize" o = WindowMaximizeMethodInfo
    ResolveAboutDialogMethod "modifyBase" o = WidgetModifyBaseMethodInfo
    ResolveAboutDialogMethod "modifyBg" o = WidgetModifyBgMethodInfo
    ResolveAboutDialogMethod "modifyCursor" o = WidgetModifyCursorMethodInfo
    ResolveAboutDialogMethod "modifyFg" o = WidgetModifyFgMethodInfo
    ResolveAboutDialogMethod "modifyFont" o = WidgetModifyFontMethodInfo
    ResolveAboutDialogMethod "modifyStyle" o = WidgetModifyStyleMethodInfo
    ResolveAboutDialogMethod "modifyText" o = WidgetModifyTextMethodInfo
    ResolveAboutDialogMethod "move" o = WindowMoveMethodInfo
    ResolveAboutDialogMethod "notify" o = GObject.ObjectNotifyMethodInfo
    ResolveAboutDialogMethod "notifyByPspec" o = GObject.ObjectNotifyByPspecMethodInfo
    ResolveAboutDialogMethod "overrideBackgroundColor" o = WidgetOverrideBackgroundColorMethodInfo
    ResolveAboutDialogMethod "overrideColor" o = WidgetOverrideColorMethodInfo
    ResolveAboutDialogMethod "overrideCursor" o = WidgetOverrideCursorMethodInfo
    ResolveAboutDialogMethod "overrideFont" o = WidgetOverrideFontMethodInfo
    ResolveAboutDialogMethod "overrideSymbolicColor" o = WidgetOverrideSymbolicColorMethodInfo
    ResolveAboutDialogMethod "parseGeometry" o = WindowParseGeometryMethodInfo
    ResolveAboutDialogMethod "parserFinished" o = BuildableParserFinishedMethodInfo
    ResolveAboutDialogMethod "path" o = WidgetPathMethodInfo
    ResolveAboutDialogMethod "present" o = WindowPresentMethodInfo
    ResolveAboutDialogMethod "presentWithTime" o = WindowPresentWithTimeMethodInfo
    ResolveAboutDialogMethod "propagateDraw" o = ContainerPropagateDrawMethodInfo
    ResolveAboutDialogMethod "propagateKeyEvent" o = WindowPropagateKeyEventMethodInfo
    ResolveAboutDialogMethod "queueComputeExpand" o = WidgetQueueComputeExpandMethodInfo
    ResolveAboutDialogMethod "queueDraw" o = WidgetQueueDrawMethodInfo
    ResolveAboutDialogMethod "queueDrawArea" o = WidgetQueueDrawAreaMethodInfo
    ResolveAboutDialogMethod "queueDrawRegion" o = WidgetQueueDrawRegionMethodInfo
    ResolveAboutDialogMethod "queueResize" o = WidgetQueueResizeMethodInfo
    ResolveAboutDialogMethod "queueResizeNoRedraw" o = WidgetQueueResizeNoRedrawMethodInfo
    ResolveAboutDialogMethod "realize" o = WidgetRealizeMethodInfo
    ResolveAboutDialogMethod "ref" o = GObject.ObjectRefMethodInfo
    ResolveAboutDialogMethod "refSink" o = GObject.ObjectRefSinkMethodInfo
    ResolveAboutDialogMethod "regionIntersect" o = WidgetRegionIntersectMethodInfo
    ResolveAboutDialogMethod "registerWindow" o = WidgetRegisterWindowMethodInfo
    ResolveAboutDialogMethod "remove" o = ContainerRemoveMethodInfo
    ResolveAboutDialogMethod "removeAccelGroup" o = WindowRemoveAccelGroupMethodInfo
    ResolveAboutDialogMethod "removeAccelerator" o = WidgetRemoveAcceleratorMethodInfo
    ResolveAboutDialogMethod "removeMnemonic" o = WindowRemoveMnemonicMethodInfo
    ResolveAboutDialogMethod "removeMnemonicLabel" o = WidgetRemoveMnemonicLabelMethodInfo
    ResolveAboutDialogMethod "removeTickCallback" o = WidgetRemoveTickCallbackMethodInfo
    ResolveAboutDialogMethod "renderIcon" o = WidgetRenderIconMethodInfo
    ResolveAboutDialogMethod "renderIconPixbuf" o = WidgetRenderIconPixbufMethodInfo
    ResolveAboutDialogMethod "reparent" o = WidgetReparentMethodInfo
    ResolveAboutDialogMethod "replaceData" o = GObject.ObjectReplaceDataMethodInfo
    ResolveAboutDialogMethod "replaceQdata" o = GObject.ObjectReplaceQdataMethodInfo
    ResolveAboutDialogMethod "resetRcStyles" o = WidgetResetRcStylesMethodInfo
    ResolveAboutDialogMethod "resetStyle" o = WidgetResetStyleMethodInfo
    ResolveAboutDialogMethod "reshowWithInitialSize" o = WindowReshowWithInitialSizeMethodInfo
    ResolveAboutDialogMethod "resize" o = WindowResizeMethodInfo
    ResolveAboutDialogMethod "resizeChildren" o = ContainerResizeChildrenMethodInfo
    ResolveAboutDialogMethod "resizeGripIsVisible" o = WindowResizeGripIsVisibleMethodInfo
    ResolveAboutDialogMethod "resizeToGeometry" o = WindowResizeToGeometryMethodInfo
    ResolveAboutDialogMethod "response" o = DialogResponseMethodInfo
    ResolveAboutDialogMethod "run" o = DialogRunMethodInfo
    ResolveAboutDialogMethod "runDispose" o = GObject.ObjectRunDisposeMethodInfo
    ResolveAboutDialogMethod "sendExpose" o = WidgetSendExposeMethodInfo
    ResolveAboutDialogMethod "sendFocusChange" o = WidgetSendFocusChangeMethodInfo
    ResolveAboutDialogMethod "shapeCombineRegion" o = WidgetShapeCombineRegionMethodInfo
    ResolveAboutDialogMethod "show" o = WidgetShowMethodInfo
    ResolveAboutDialogMethod "showAll" o = WidgetShowAllMethodInfo
    ResolveAboutDialogMethod "showNow" o = WidgetShowNowMethodInfo
    ResolveAboutDialogMethod "sizeAllocate" o = WidgetSizeAllocateMethodInfo
    ResolveAboutDialogMethod "sizeAllocateWithBaseline" o = WidgetSizeAllocateWithBaselineMethodInfo
    ResolveAboutDialogMethod "sizeRequest" o = WidgetSizeRequestMethodInfo
    ResolveAboutDialogMethod "stealData" o = GObject.ObjectStealDataMethodInfo
    ResolveAboutDialogMethod "stealQdata" o = GObject.ObjectStealQdataMethodInfo
    ResolveAboutDialogMethod "stick" o = WindowStickMethodInfo
    ResolveAboutDialogMethod "styleAttach" o = WidgetStyleAttachMethodInfo
    ResolveAboutDialogMethod "styleGetProperty" o = WidgetStyleGetPropertyMethodInfo
    ResolveAboutDialogMethod "thawChildNotify" o = WidgetThawChildNotifyMethodInfo
    ResolveAboutDialogMethod "thawNotify" o = GObject.ObjectThawNotifyMethodInfo
    ResolveAboutDialogMethod "translateCoordinates" o = WidgetTranslateCoordinatesMethodInfo
    ResolveAboutDialogMethod "triggerTooltipQuery" o = WidgetTriggerTooltipQueryMethodInfo
    ResolveAboutDialogMethod "unfullscreen" o = WindowUnfullscreenMethodInfo
    ResolveAboutDialogMethod "unmap" o = WidgetUnmapMethodInfo
    ResolveAboutDialogMethod "unmaximize" o = WindowUnmaximizeMethodInfo
    ResolveAboutDialogMethod "unparent" o = WidgetUnparentMethodInfo
    ResolveAboutDialogMethod "unrealize" o = WidgetUnrealizeMethodInfo
    ResolveAboutDialogMethod "unref" o = GObject.ObjectUnrefMethodInfo
    ResolveAboutDialogMethod "unregisterWindow" o = WidgetUnregisterWindowMethodInfo
    ResolveAboutDialogMethod "unsetFocusChain" o = ContainerUnsetFocusChainMethodInfo
    ResolveAboutDialogMethod "unsetStateFlags" o = WidgetUnsetStateFlagsMethodInfo
    ResolveAboutDialogMethod "unstick" o = WindowUnstickMethodInfo
    ResolveAboutDialogMethod "watchClosure" o = GObject.ObjectWatchClosureMethodInfo
    ResolveAboutDialogMethod "getAcceptFocus" o = WindowGetAcceptFocusMethodInfo
    ResolveAboutDialogMethod "getAccessible" o = WidgetGetAccessibleMethodInfo
    ResolveAboutDialogMethod "getActionArea" o = DialogGetActionAreaMethodInfo
    ResolveAboutDialogMethod "getActionGroup" o = WidgetGetActionGroupMethodInfo
    ResolveAboutDialogMethod "getAllocatedBaseline" o = WidgetGetAllocatedBaselineMethodInfo
    ResolveAboutDialogMethod "getAllocatedHeight" o = WidgetGetAllocatedHeightMethodInfo
    ResolveAboutDialogMethod "getAllocatedWidth" o = WidgetGetAllocatedWidthMethodInfo
    ResolveAboutDialogMethod "getAllocation" o = WidgetGetAllocationMethodInfo
    ResolveAboutDialogMethod "getAncestor" o = WidgetGetAncestorMethodInfo
    ResolveAboutDialogMethod "getAppPaintable" o = WidgetGetAppPaintableMethodInfo
    ResolveAboutDialogMethod "getApplication" o = WindowGetApplicationMethodInfo
    ResolveAboutDialogMethod "getArtists" o = AboutDialogGetArtistsMethodInfo
    ResolveAboutDialogMethod "getAttachedTo" o = WindowGetAttachedToMethodInfo
    ResolveAboutDialogMethod "getAuthors" o = AboutDialogGetAuthorsMethodInfo
    ResolveAboutDialogMethod "getBorderWidth" o = ContainerGetBorderWidthMethodInfo
    ResolveAboutDialogMethod "getCanDefault" o = WidgetGetCanDefaultMethodInfo
    ResolveAboutDialogMethod "getCanFocus" o = WidgetGetCanFocusMethodInfo
    ResolveAboutDialogMethod "getChild" o = BinGetChildMethodInfo
    ResolveAboutDialogMethod "getChildRequisition" o = WidgetGetChildRequisitionMethodInfo
    ResolveAboutDialogMethod "getChildVisible" o = WidgetGetChildVisibleMethodInfo
    ResolveAboutDialogMethod "getChildren" o = ContainerGetChildrenMethodInfo
    ResolveAboutDialogMethod "getClip" o = WidgetGetClipMethodInfo
    ResolveAboutDialogMethod "getClipboard" o = WidgetGetClipboardMethodInfo
    ResolveAboutDialogMethod "getComments" o = AboutDialogGetCommentsMethodInfo
    ResolveAboutDialogMethod "getCompositeName" o = WidgetGetCompositeNameMethodInfo
    ResolveAboutDialogMethod "getContentArea" o = DialogGetContentAreaMethodInfo
    ResolveAboutDialogMethod "getCopyright" o = AboutDialogGetCopyrightMethodInfo
    ResolveAboutDialogMethod "getData" o = GObject.ObjectGetDataMethodInfo
    ResolveAboutDialogMethod "getDecorated" o = WindowGetDecoratedMethodInfo
    ResolveAboutDialogMethod "getDefaultSize" o = WindowGetDefaultSizeMethodInfo
    ResolveAboutDialogMethod "getDefaultWidget" o = WindowGetDefaultWidgetMethodInfo
    ResolveAboutDialogMethod "getDeletable" o = WindowGetDeletableMethodInfo
    ResolveAboutDialogMethod "getDestroyWithParent" o = WindowGetDestroyWithParentMethodInfo
    ResolveAboutDialogMethod "getDeviceEnabled" o = WidgetGetDeviceEnabledMethodInfo
    ResolveAboutDialogMethod "getDeviceEvents" o = WidgetGetDeviceEventsMethodInfo
    ResolveAboutDialogMethod "getDirection" o = WidgetGetDirectionMethodInfo
    ResolveAboutDialogMethod "getDisplay" o = WidgetGetDisplayMethodInfo
    ResolveAboutDialogMethod "getDocumenters" o = AboutDialogGetDocumentersMethodInfo
    ResolveAboutDialogMethod "getDoubleBuffered" o = WidgetGetDoubleBufferedMethodInfo
    ResolveAboutDialogMethod "getEvents" o = WidgetGetEventsMethodInfo
    ResolveAboutDialogMethod "getFocus" o = WindowGetFocusMethodInfo
    ResolveAboutDialogMethod "getFocusChain" o = ContainerGetFocusChainMethodInfo
    ResolveAboutDialogMethod "getFocusChild" o = ContainerGetFocusChildMethodInfo
    ResolveAboutDialogMethod "getFocusHadjustment" o = ContainerGetFocusHadjustmentMethodInfo
    ResolveAboutDialogMethod "getFocusOnMap" o = WindowGetFocusOnMapMethodInfo
    ResolveAboutDialogMethod "getFocusVadjustment" o = ContainerGetFocusVadjustmentMethodInfo
    ResolveAboutDialogMethod "getFocusVisible" o = WindowGetFocusVisibleMethodInfo
    ResolveAboutDialogMethod "getFontMap" o = WidgetGetFontMapMethodInfo
    ResolveAboutDialogMethod "getFontOptions" o = WidgetGetFontOptionsMethodInfo
    ResolveAboutDialogMethod "getFrameClock" o = WidgetGetFrameClockMethodInfo
    ResolveAboutDialogMethod "getGravity" o = WindowGetGravityMethodInfo
    ResolveAboutDialogMethod "getGroup" o = WindowGetGroupMethodInfo
    ResolveAboutDialogMethod "getHalign" o = WidgetGetHalignMethodInfo
    ResolveAboutDialogMethod "getHasResizeGrip" o = WindowGetHasResizeGripMethodInfo
    ResolveAboutDialogMethod "getHasTooltip" o = WidgetGetHasTooltipMethodInfo
    ResolveAboutDialogMethod "getHasWindow" o = WidgetGetHasWindowMethodInfo
    ResolveAboutDialogMethod "getHeaderBar" o = DialogGetHeaderBarMethodInfo
    ResolveAboutDialogMethod "getHexpand" o = WidgetGetHexpandMethodInfo
    ResolveAboutDialogMethod "getHexpandSet" o = WidgetGetHexpandSetMethodInfo
    ResolveAboutDialogMethod "getHideTitlebarWhenMaximized" o = WindowGetHideTitlebarWhenMaximizedMethodInfo
    ResolveAboutDialogMethod "getIcon" o = WindowGetIconMethodInfo
    ResolveAboutDialogMethod "getIconList" o = WindowGetIconListMethodInfo
    ResolveAboutDialogMethod "getIconName" o = WindowGetIconNameMethodInfo
    ResolveAboutDialogMethod "getInternalChild" o = BuildableGetInternalChildMethodInfo
    ResolveAboutDialogMethod "getLicense" o = AboutDialogGetLicenseMethodInfo
    ResolveAboutDialogMethod "getLicenseType" o = AboutDialogGetLicenseTypeMethodInfo
    ResolveAboutDialogMethod "getLogo" o = AboutDialogGetLogoMethodInfo
    ResolveAboutDialogMethod "getLogoIconName" o = AboutDialogGetLogoIconNameMethodInfo
    ResolveAboutDialogMethod "getMapped" o = WidgetGetMappedMethodInfo
    ResolveAboutDialogMethod "getMarginBottom" o = WidgetGetMarginBottomMethodInfo
    ResolveAboutDialogMethod "getMarginEnd" o = WidgetGetMarginEndMethodInfo
    ResolveAboutDialogMethod "getMarginLeft" o = WidgetGetMarginLeftMethodInfo
    ResolveAboutDialogMethod "getMarginRight" o = WidgetGetMarginRightMethodInfo
    ResolveAboutDialogMethod "getMarginStart" o = WidgetGetMarginStartMethodInfo
    ResolveAboutDialogMethod "getMarginTop" o = WidgetGetMarginTopMethodInfo
    ResolveAboutDialogMethod "getMnemonicModifier" o = WindowGetMnemonicModifierMethodInfo
    ResolveAboutDialogMethod "getMnemonicsVisible" o = WindowGetMnemonicsVisibleMethodInfo
    ResolveAboutDialogMethod "getModal" o = WindowGetModalMethodInfo
    ResolveAboutDialogMethod "getModifierMask" o = WidgetGetModifierMaskMethodInfo
    ResolveAboutDialogMethod "getModifierStyle" o = WidgetGetModifierStyleMethodInfo
    ResolveAboutDialogMethod "getNoShowAll" o = WidgetGetNoShowAllMethodInfo
    ResolveAboutDialogMethod "getPangoContext" o = WidgetGetPangoContextMethodInfo
    ResolveAboutDialogMethod "getParent" o = WidgetGetParentMethodInfo
    ResolveAboutDialogMethod "getParentWindow" o = WidgetGetParentWindowMethodInfo
    ResolveAboutDialogMethod "getPath" o = WidgetGetPathMethodInfo
    ResolveAboutDialogMethod "getPathForChild" o = ContainerGetPathForChildMethodInfo
    ResolveAboutDialogMethod "getPointer" o = WidgetGetPointerMethodInfo
    ResolveAboutDialogMethod "getPosition" o = WindowGetPositionMethodInfo
    ResolveAboutDialogMethod "getPreferredHeight" o = WidgetGetPreferredHeightMethodInfo
    ResolveAboutDialogMethod "getPreferredHeightAndBaselineForWidth" o = WidgetGetPreferredHeightAndBaselineForWidthMethodInfo
    ResolveAboutDialogMethod "getPreferredHeightForWidth" o = WidgetGetPreferredHeightForWidthMethodInfo
    ResolveAboutDialogMethod "getPreferredSize" o = WidgetGetPreferredSizeMethodInfo
    ResolveAboutDialogMethod "getPreferredWidth" o = WidgetGetPreferredWidthMethodInfo
    ResolveAboutDialogMethod "getPreferredWidthForHeight" o = WidgetGetPreferredWidthForHeightMethodInfo
    ResolveAboutDialogMethod "getProgramName" o = AboutDialogGetProgramNameMethodInfo
    ResolveAboutDialogMethod "getProperty" o = GObject.ObjectGetPropertyMethodInfo
    ResolveAboutDialogMethod "getQdata" o = GObject.ObjectGetQdataMethodInfo
    ResolveAboutDialogMethod "getRealized" o = WidgetGetRealizedMethodInfo
    ResolveAboutDialogMethod "getReceivesDefault" o = WidgetGetReceivesDefaultMethodInfo
    ResolveAboutDialogMethod "getRequestMode" o = WidgetGetRequestModeMethodInfo
    ResolveAboutDialogMethod "getRequisition" o = WidgetGetRequisitionMethodInfo
    ResolveAboutDialogMethod "getResizable" o = WindowGetResizableMethodInfo
    ResolveAboutDialogMethod "getResizeGripArea" o = WindowGetResizeGripAreaMethodInfo
    ResolveAboutDialogMethod "getResizeMode" o = ContainerGetResizeModeMethodInfo
    ResolveAboutDialogMethod "getResponseForWidget" o = DialogGetResponseForWidgetMethodInfo
    ResolveAboutDialogMethod "getRole" o = WindowGetRoleMethodInfo
    ResolveAboutDialogMethod "getRootWindow" o = WidgetGetRootWindowMethodInfo
    ResolveAboutDialogMethod "getScaleFactor" o = WidgetGetScaleFactorMethodInfo
    ResolveAboutDialogMethod "getSensitive" o = WidgetGetSensitiveMethodInfo
    ResolveAboutDialogMethod "getSettings" o = WidgetGetSettingsMethodInfo
    ResolveAboutDialogMethod "getSize" o = WindowGetSizeMethodInfo
    ResolveAboutDialogMethod "getSizeRequest" o = WidgetGetSizeRequestMethodInfo
    ResolveAboutDialogMethod "getSkipPagerHint" o = WindowGetSkipPagerHintMethodInfo
    ResolveAboutDialogMethod "getSkipTaskbarHint" o = WindowGetSkipTaskbarHintMethodInfo
    ResolveAboutDialogMethod "getState" o = WidgetGetStateMethodInfo
    ResolveAboutDialogMethod "getStateFlags" o = WidgetGetStateFlagsMethodInfo
    ResolveAboutDialogMethod "getStyle" o = WidgetGetStyleMethodInfo
    ResolveAboutDialogMethod "getStyleContext" o = WidgetGetStyleContextMethodInfo
    ResolveAboutDialogMethod "getSupportMultidevice" o = WidgetGetSupportMultideviceMethodInfo
    ResolveAboutDialogMethod "getTemplateChild" o = WidgetGetTemplateChildMethodInfo
    ResolveAboutDialogMethod "getTitle" o = WindowGetTitleMethodInfo
    ResolveAboutDialogMethod "getTitlebar" o = WindowGetTitlebarMethodInfo
    ResolveAboutDialogMethod "getTooltipMarkup" o = WidgetGetTooltipMarkupMethodInfo
    ResolveAboutDialogMethod "getTooltipText" o = WidgetGetTooltipTextMethodInfo
    ResolveAboutDialogMethod "getTooltipWindow" o = WidgetGetTooltipWindowMethodInfo
    ResolveAboutDialogMethod "getToplevel" o = WidgetGetToplevelMethodInfo
    ResolveAboutDialogMethod "getTransientFor" o = WindowGetTransientForMethodInfo
    ResolveAboutDialogMethod "getTranslatorCredits" o = AboutDialogGetTranslatorCreditsMethodInfo
    ResolveAboutDialogMethod "getTypeHint" o = WindowGetTypeHintMethodInfo
    ResolveAboutDialogMethod "getUrgencyHint" o = WindowGetUrgencyHintMethodInfo
    ResolveAboutDialogMethod "getValign" o = WidgetGetValignMethodInfo
    ResolveAboutDialogMethod "getValignWithBaseline" o = WidgetGetValignWithBaselineMethodInfo
    ResolveAboutDialogMethod "getVersion" o = AboutDialogGetVersionMethodInfo
    ResolveAboutDialogMethod "getVexpand" o = WidgetGetVexpandMethodInfo
    ResolveAboutDialogMethod "getVexpandSet" o = WidgetGetVexpandSetMethodInfo
    ResolveAboutDialogMethod "getVisible" o = WidgetGetVisibleMethodInfo
    ResolveAboutDialogMethod "getVisual" o = WidgetGetVisualMethodInfo
    ResolveAboutDialogMethod "getWebsite" o = AboutDialogGetWebsiteMethodInfo
    ResolveAboutDialogMethod "getWebsiteLabel" o = AboutDialogGetWebsiteLabelMethodInfo
    ResolveAboutDialogMethod "getWidgetForResponse" o = DialogGetWidgetForResponseMethodInfo
    ResolveAboutDialogMethod "getWindow" o = WidgetGetWindowMethodInfo
    ResolveAboutDialogMethod "getWindowType" o = WindowGetWindowTypeMethodInfo
    ResolveAboutDialogMethod "getWrapLicense" o = AboutDialogGetWrapLicenseMethodInfo
    ResolveAboutDialogMethod "setAccelPath" o = WidgetSetAccelPathMethodInfo
    ResolveAboutDialogMethod "setAcceptFocus" o = WindowSetAcceptFocusMethodInfo
    ResolveAboutDialogMethod "setAllocation" o = WidgetSetAllocationMethodInfo
    ResolveAboutDialogMethod "setAlternativeButtonOrderFromArray" o = DialogSetAlternativeButtonOrderFromArrayMethodInfo
    ResolveAboutDialogMethod "setAppPaintable" o = WidgetSetAppPaintableMethodInfo
    ResolveAboutDialogMethod "setApplication" o = WindowSetApplicationMethodInfo
    ResolveAboutDialogMethod "setArtists" o = AboutDialogSetArtistsMethodInfo
    ResolveAboutDialogMethod "setAttachedTo" o = WindowSetAttachedToMethodInfo
    ResolveAboutDialogMethod "setAuthors" o = AboutDialogSetAuthorsMethodInfo
    ResolveAboutDialogMethod "setBorderWidth" o = ContainerSetBorderWidthMethodInfo
    ResolveAboutDialogMethod "setBuildableProperty" o = BuildableSetBuildablePropertyMethodInfo
    ResolveAboutDialogMethod "setCanDefault" o = WidgetSetCanDefaultMethodInfo
    ResolveAboutDialogMethod "setCanFocus" o = WidgetSetCanFocusMethodInfo
    ResolveAboutDialogMethod "setChildVisible" o = WidgetSetChildVisibleMethodInfo
    ResolveAboutDialogMethod "setClip" o = WidgetSetClipMethodInfo
    ResolveAboutDialogMethod "setComments" o = AboutDialogSetCommentsMethodInfo
    ResolveAboutDialogMethod "setCompositeName" o = WidgetSetCompositeNameMethodInfo
    ResolveAboutDialogMethod "setCopyright" o = AboutDialogSetCopyrightMethodInfo
    ResolveAboutDialogMethod "setData" o = GObject.ObjectSetDataMethodInfo
    ResolveAboutDialogMethod "setDecorated" o = WindowSetDecoratedMethodInfo
    ResolveAboutDialogMethod "setDefault" o = WindowSetDefaultMethodInfo
    ResolveAboutDialogMethod "setDefaultGeometry" o = WindowSetDefaultGeometryMethodInfo
    ResolveAboutDialogMethod "setDefaultResponse" o = DialogSetDefaultResponseMethodInfo
    ResolveAboutDialogMethod "setDefaultSize" o = WindowSetDefaultSizeMethodInfo
    ResolveAboutDialogMethod "setDeletable" o = WindowSetDeletableMethodInfo
    ResolveAboutDialogMethod "setDestroyWithParent" o = WindowSetDestroyWithParentMethodInfo
    ResolveAboutDialogMethod "setDeviceEnabled" o = WidgetSetDeviceEnabledMethodInfo
    ResolveAboutDialogMethod "setDeviceEvents" o = WidgetSetDeviceEventsMethodInfo
    ResolveAboutDialogMethod "setDirection" o = WidgetSetDirectionMethodInfo
    ResolveAboutDialogMethod "setDocumenters" o = AboutDialogSetDocumentersMethodInfo
    ResolveAboutDialogMethod "setDoubleBuffered" o = WidgetSetDoubleBufferedMethodInfo
    ResolveAboutDialogMethod "setEvents" o = WidgetSetEventsMethodInfo
    ResolveAboutDialogMethod "setFocus" o = WindowSetFocusMethodInfo
    ResolveAboutDialogMethod "setFocusChain" o = ContainerSetFocusChainMethodInfo
    ResolveAboutDialogMethod "setFocusChild" o = ContainerSetFocusChildMethodInfo
    ResolveAboutDialogMethod "setFocusHadjustment" o = ContainerSetFocusHadjustmentMethodInfo
    ResolveAboutDialogMethod "setFocusOnMap" o = WindowSetFocusOnMapMethodInfo
    ResolveAboutDialogMethod "setFocusVadjustment" o = ContainerSetFocusVadjustmentMethodInfo
    ResolveAboutDialogMethod "setFocusVisible" o = WindowSetFocusVisibleMethodInfo
    ResolveAboutDialogMethod "setFontMap" o = WidgetSetFontMapMethodInfo
    ResolveAboutDialogMethod "setFontOptions" o = WidgetSetFontOptionsMethodInfo
    ResolveAboutDialogMethod "setGeometryHints" o = WindowSetGeometryHintsMethodInfo
    ResolveAboutDialogMethod "setGravity" o = WindowSetGravityMethodInfo
    ResolveAboutDialogMethod "setHalign" o = WidgetSetHalignMethodInfo
    ResolveAboutDialogMethod "setHasResizeGrip" o = WindowSetHasResizeGripMethodInfo
    ResolveAboutDialogMethod "setHasTooltip" o = WidgetSetHasTooltipMethodInfo
    ResolveAboutDialogMethod "setHasUserRefCount" o = WindowSetHasUserRefCountMethodInfo
    ResolveAboutDialogMethod "setHasWindow" o = WidgetSetHasWindowMethodInfo
    ResolveAboutDialogMethod "setHexpand" o = WidgetSetHexpandMethodInfo
    ResolveAboutDialogMethod "setHexpandSet" o = WidgetSetHexpandSetMethodInfo
    ResolveAboutDialogMethod "setHideTitlebarWhenMaximized" o = WindowSetHideTitlebarWhenMaximizedMethodInfo
    ResolveAboutDialogMethod "setIcon" o = WindowSetIconMethodInfo
    ResolveAboutDialogMethod "setIconFromFile" o = WindowSetIconFromFileMethodInfo
    ResolveAboutDialogMethod "setIconList" o = WindowSetIconListMethodInfo
    ResolveAboutDialogMethod "setIconName" o = WindowSetIconNameMethodInfo
    ResolveAboutDialogMethod "setKeepAbove" o = WindowSetKeepAboveMethodInfo
    ResolveAboutDialogMethod "setKeepBelow" o = WindowSetKeepBelowMethodInfo
    ResolveAboutDialogMethod "setLicense" o = AboutDialogSetLicenseMethodInfo
    ResolveAboutDialogMethod "setLicenseType" o = AboutDialogSetLicenseTypeMethodInfo
    ResolveAboutDialogMethod "setLogo" o = AboutDialogSetLogoMethodInfo
    ResolveAboutDialogMethod "setLogoIconName" o = AboutDialogSetLogoIconNameMethodInfo
    ResolveAboutDialogMethod "setMapped" o = WidgetSetMappedMethodInfo
    ResolveAboutDialogMethod "setMarginBottom" o = WidgetSetMarginBottomMethodInfo
    ResolveAboutDialogMethod "setMarginEnd" o = WidgetSetMarginEndMethodInfo
    ResolveAboutDialogMethod "setMarginLeft" o = WidgetSetMarginLeftMethodInfo
    ResolveAboutDialogMethod "setMarginRight" o = WidgetSetMarginRightMethodInfo
    ResolveAboutDialogMethod "setMarginStart" o = WidgetSetMarginStartMethodInfo
    ResolveAboutDialogMethod "setMarginTop" o = WidgetSetMarginTopMethodInfo
    ResolveAboutDialogMethod "setMnemonicModifier" o = WindowSetMnemonicModifierMethodInfo
    ResolveAboutDialogMethod "setMnemonicsVisible" o = WindowSetMnemonicsVisibleMethodInfo
    ResolveAboutDialogMethod "setModal" o = WindowSetModalMethodInfo
    ResolveAboutDialogMethod "setNoShowAll" o = WidgetSetNoShowAllMethodInfo
    ResolveAboutDialogMethod "setParent" o = WidgetSetParentMethodInfo
    ResolveAboutDialogMethod "setParentWindow" o = WidgetSetParentWindowMethodInfo
    ResolveAboutDialogMethod "setPosition" o = WindowSetPositionMethodInfo
    ResolveAboutDialogMethod "setProgramName" o = AboutDialogSetProgramNameMethodInfo
    ResolveAboutDialogMethod "setProperty" o = GObject.ObjectSetPropertyMethodInfo
    ResolveAboutDialogMethod "setRealized" o = WidgetSetRealizedMethodInfo
    ResolveAboutDialogMethod "setReallocateRedraws" o = ContainerSetReallocateRedrawsMethodInfo
    ResolveAboutDialogMethod "setReceivesDefault" o = WidgetSetReceivesDefaultMethodInfo
    ResolveAboutDialogMethod "setRedrawOnAllocate" o = WidgetSetRedrawOnAllocateMethodInfo
    ResolveAboutDialogMethod "setResizable" o = WindowSetResizableMethodInfo
    ResolveAboutDialogMethod "setResizeMode" o = ContainerSetResizeModeMethodInfo
    ResolveAboutDialogMethod "setResponseSensitive" o = DialogSetResponseSensitiveMethodInfo
    ResolveAboutDialogMethod "setRole" o = WindowSetRoleMethodInfo
    ResolveAboutDialogMethod "setScreen" o = WindowSetScreenMethodInfo
    ResolveAboutDialogMethod "setSensitive" o = WidgetSetSensitiveMethodInfo
    ResolveAboutDialogMethod "setSizeRequest" o = WidgetSetSizeRequestMethodInfo
    ResolveAboutDialogMethod "setSkipPagerHint" o = WindowSetSkipPagerHintMethodInfo
    ResolveAboutDialogMethod "setSkipTaskbarHint" o = WindowSetSkipTaskbarHintMethodInfo
    ResolveAboutDialogMethod "setStartupId" o = WindowSetStartupIdMethodInfo
    ResolveAboutDialogMethod "setState" o = WidgetSetStateMethodInfo
    ResolveAboutDialogMethod "setStateFlags" o = WidgetSetStateFlagsMethodInfo
    ResolveAboutDialogMethod "setStyle" o = WidgetSetStyleMethodInfo
    ResolveAboutDialogMethod "setSupportMultidevice" o = WidgetSetSupportMultideviceMethodInfo
    ResolveAboutDialogMethod "setTitle" o = WindowSetTitleMethodInfo
    ResolveAboutDialogMethod "setTitlebar" o = WindowSetTitlebarMethodInfo
    ResolveAboutDialogMethod "setTooltipMarkup" o = WidgetSetTooltipMarkupMethodInfo
    ResolveAboutDialogMethod "setTooltipText" o = WidgetSetTooltipTextMethodInfo
    ResolveAboutDialogMethod "setTooltipWindow" o = WidgetSetTooltipWindowMethodInfo
    ResolveAboutDialogMethod "setTransientFor" o = WindowSetTransientForMethodInfo
    ResolveAboutDialogMethod "setTranslatorCredits" o = AboutDialogSetTranslatorCreditsMethodInfo
    ResolveAboutDialogMethod "setTypeHint" o = WindowSetTypeHintMethodInfo
    ResolveAboutDialogMethod "setUrgencyHint" o = WindowSetUrgencyHintMethodInfo
    ResolveAboutDialogMethod "setValign" o = WidgetSetValignMethodInfo
    ResolveAboutDialogMethod "setVersion" o = AboutDialogSetVersionMethodInfo
    ResolveAboutDialogMethod "setVexpand" o = WidgetSetVexpandMethodInfo
    ResolveAboutDialogMethod "setVexpandSet" o = WidgetSetVexpandSetMethodInfo
    ResolveAboutDialogMethod "setVisible" o = WidgetSetVisibleMethodInfo
    ResolveAboutDialogMethod "setVisual" o = WidgetSetVisualMethodInfo
    ResolveAboutDialogMethod "setWebsite" o = AboutDialogSetWebsiteMethodInfo
    ResolveAboutDialogMethod "setWebsiteLabel" o = AboutDialogSetWebsiteLabelMethodInfo
    ResolveAboutDialogMethod "setWindow" o = WidgetSetWindowMethodInfo
    ResolveAboutDialogMethod "setWmclass" o = WindowSetWmclassMethodInfo
    ResolveAboutDialogMethod "setWrapLicense" o = AboutDialogSetWrapLicenseMethodInfo
    ResolveAboutDialogMethod l o = MethodResolutionFailed l o

instance (info ~ ResolveAboutDialogMethod t AboutDialog, MethodInfo info AboutDialog p) => IsLabelProxy t (AboutDialog -> p) where
    fromLabelProxy _ = overloadedMethod (MethodProxy :: MethodProxy info)

#if MIN_VERSION_base(4,9,0)
instance (info ~ ResolveAboutDialogMethod t AboutDialog, MethodInfo info AboutDialog p) => IsLabel t (AboutDialog -> p) where
    fromLabel _ = overloadedMethod (MethodProxy :: MethodProxy info)
#endif

-- signal AboutDialog::activate-link
type AboutDialogActivateLinkCallback =
    T.Text ->
    IO Bool

noAboutDialogActivateLinkCallback :: Maybe AboutDialogActivateLinkCallback
noAboutDialogActivateLinkCallback = Nothing

type AboutDialogActivateLinkCallbackC =
    Ptr () ->                               -- object
    CString ->
    Ptr () ->                               -- user_data
    IO CInt

foreign import ccall "wrapper"
    mkAboutDialogActivateLinkCallback :: AboutDialogActivateLinkCallbackC -> IO (FunPtr AboutDialogActivateLinkCallbackC)

aboutDialogActivateLinkClosure :: AboutDialogActivateLinkCallback -> IO Closure
aboutDialogActivateLinkClosure cb = newCClosure =<< mkAboutDialogActivateLinkCallback wrapped
    where wrapped = aboutDialogActivateLinkCallbackWrapper cb

aboutDialogActivateLinkCallbackWrapper ::
    AboutDialogActivateLinkCallback ->
    Ptr () ->
    CString ->
    Ptr () ->
    IO CInt
aboutDialogActivateLinkCallbackWrapper _cb _ uri _ = do
    uri' <- cstringToText uri
    result <- _cb  uri'
    let result' = (fromIntegral . fromEnum) result
    return result'

onAboutDialogActivateLink :: (GObject a, MonadIO m) => a -> AboutDialogActivateLinkCallback -> m SignalHandlerId
onAboutDialogActivateLink obj cb = liftIO $ connectAboutDialogActivateLink obj cb SignalConnectBefore
afterAboutDialogActivateLink :: (GObject a, MonadIO m) => a -> AboutDialogActivateLinkCallback -> m SignalHandlerId
afterAboutDialogActivateLink obj cb = connectAboutDialogActivateLink obj cb SignalConnectAfter

connectAboutDialogActivateLink :: (GObject a, MonadIO m) =>
                                  a -> AboutDialogActivateLinkCallback -> SignalConnectMode -> m SignalHandlerId
connectAboutDialogActivateLink obj cb after = liftIO $ do
    cb' <- mkAboutDialogActivateLinkCallback (aboutDialogActivateLinkCallbackWrapper cb)
    connectSignalFunPtr obj "activate-link" cb' after

-- VVV Prop "artists"
   -- Type: TCArray True (-1) (-1) (TBasicType TUTF8)
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Just False,Just False)

getAboutDialogArtists :: (MonadIO m, AboutDialogK o) => o -> m [T.Text]
getAboutDialogArtists obj = liftIO $ checkUnexpectedNothing "getAboutDialogArtists" $ getObjectPropertyStringArray obj "artists"

setAboutDialogArtists :: (MonadIO m, AboutDialogK o) => o -> [T.Text] -> m ()
setAboutDialogArtists obj val = liftIO $ setObjectPropertyStringArray obj "artists" (Just val)

constructAboutDialogArtists :: [T.Text] -> IO ([Char], GValue)
constructAboutDialogArtists val = constructObjectPropertyStringArray "artists" (Just val)

data AboutDialogArtistsPropertyInfo
instance AttrInfo AboutDialogArtistsPropertyInfo where
    type AttrAllowedOps AboutDialogArtistsPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint AboutDialogArtistsPropertyInfo = (~) [T.Text]
    type AttrBaseTypeConstraint AboutDialogArtistsPropertyInfo = AboutDialogK
    type AttrGetType AboutDialogArtistsPropertyInfo = [T.Text]
    type AttrLabel AboutDialogArtistsPropertyInfo = "artists"
    attrGet _ = getAboutDialogArtists
    attrSet _ = setAboutDialogArtists
    attrConstruct _ = constructAboutDialogArtists
    attrClear _ = undefined

-- VVV Prop "authors"
   -- Type: TCArray True (-1) (-1) (TBasicType TUTF8)
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Just False,Just False)

getAboutDialogAuthors :: (MonadIO m, AboutDialogK o) => o -> m [T.Text]
getAboutDialogAuthors obj = liftIO $ checkUnexpectedNothing "getAboutDialogAuthors" $ getObjectPropertyStringArray obj "authors"

setAboutDialogAuthors :: (MonadIO m, AboutDialogK o) => o -> [T.Text] -> m ()
setAboutDialogAuthors obj val = liftIO $ setObjectPropertyStringArray obj "authors" (Just val)

constructAboutDialogAuthors :: [T.Text] -> IO ([Char], GValue)
constructAboutDialogAuthors val = constructObjectPropertyStringArray "authors" (Just val)

data AboutDialogAuthorsPropertyInfo
instance AttrInfo AboutDialogAuthorsPropertyInfo where
    type AttrAllowedOps AboutDialogAuthorsPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint AboutDialogAuthorsPropertyInfo = (~) [T.Text]
    type AttrBaseTypeConstraint AboutDialogAuthorsPropertyInfo = AboutDialogK
    type AttrGetType AboutDialogAuthorsPropertyInfo = [T.Text]
    type AttrLabel AboutDialogAuthorsPropertyInfo = "authors"
    attrGet _ = getAboutDialogAuthors
    attrSet _ = setAboutDialogAuthors
    attrConstruct _ = constructAboutDialogAuthors
    attrClear _ = undefined

-- VVV Prop "comments"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Just False,Just True)

getAboutDialogComments :: (MonadIO m, AboutDialogK o) => o -> m T.Text
getAboutDialogComments obj = liftIO $ checkUnexpectedNothing "getAboutDialogComments" $ getObjectPropertyString obj "comments"

setAboutDialogComments :: (MonadIO m, AboutDialogK o) => o -> T.Text -> m ()
setAboutDialogComments obj val = liftIO $ setObjectPropertyString obj "comments" (Just val)

constructAboutDialogComments :: T.Text -> IO ([Char], GValue)
constructAboutDialogComments val = constructObjectPropertyString "comments" (Just val)

clearAboutDialogComments :: (MonadIO m, AboutDialogK o) => o -> m ()
clearAboutDialogComments obj = liftIO $ setObjectPropertyString obj "comments" (Nothing :: Maybe T.Text)

data AboutDialogCommentsPropertyInfo
instance AttrInfo AboutDialogCommentsPropertyInfo where
    type AttrAllowedOps AboutDialogCommentsPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet, 'AttrClear]
    type AttrSetTypeConstraint AboutDialogCommentsPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint AboutDialogCommentsPropertyInfo = AboutDialogK
    type AttrGetType AboutDialogCommentsPropertyInfo = T.Text
    type AttrLabel AboutDialogCommentsPropertyInfo = "comments"
    attrGet _ = getAboutDialogComments
    attrSet _ = setAboutDialogComments
    attrConstruct _ = constructAboutDialogComments
    attrClear _ = clearAboutDialogComments

-- VVV Prop "copyright"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Just False,Just True)

getAboutDialogCopyright :: (MonadIO m, AboutDialogK o) => o -> m T.Text
getAboutDialogCopyright obj = liftIO $ checkUnexpectedNothing "getAboutDialogCopyright" $ getObjectPropertyString obj "copyright"

setAboutDialogCopyright :: (MonadIO m, AboutDialogK o) => o -> T.Text -> m ()
setAboutDialogCopyright obj val = liftIO $ setObjectPropertyString obj "copyright" (Just val)

constructAboutDialogCopyright :: T.Text -> IO ([Char], GValue)
constructAboutDialogCopyright val = constructObjectPropertyString "copyright" (Just val)

clearAboutDialogCopyright :: (MonadIO m, AboutDialogK o) => o -> m ()
clearAboutDialogCopyright obj = liftIO $ setObjectPropertyString obj "copyright" (Nothing :: Maybe T.Text)

data AboutDialogCopyrightPropertyInfo
instance AttrInfo AboutDialogCopyrightPropertyInfo where
    type AttrAllowedOps AboutDialogCopyrightPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet, 'AttrClear]
    type AttrSetTypeConstraint AboutDialogCopyrightPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint AboutDialogCopyrightPropertyInfo = AboutDialogK
    type AttrGetType AboutDialogCopyrightPropertyInfo = T.Text
    type AttrLabel AboutDialogCopyrightPropertyInfo = "copyright"
    attrGet _ = getAboutDialogCopyright
    attrSet _ = setAboutDialogCopyright
    attrConstruct _ = constructAboutDialogCopyright
    attrClear _ = clearAboutDialogCopyright

-- VVV Prop "documenters"
   -- Type: TCArray True (-1) (-1) (TBasicType TUTF8)
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Just False,Just False)

getAboutDialogDocumenters :: (MonadIO m, AboutDialogK o) => o -> m [T.Text]
getAboutDialogDocumenters obj = liftIO $ checkUnexpectedNothing "getAboutDialogDocumenters" $ getObjectPropertyStringArray obj "documenters"

setAboutDialogDocumenters :: (MonadIO m, AboutDialogK o) => o -> [T.Text] -> m ()
setAboutDialogDocumenters obj val = liftIO $ setObjectPropertyStringArray obj "documenters" (Just val)

constructAboutDialogDocumenters :: [T.Text] -> IO ([Char], GValue)
constructAboutDialogDocumenters val = constructObjectPropertyStringArray "documenters" (Just val)

data AboutDialogDocumentersPropertyInfo
instance AttrInfo AboutDialogDocumentersPropertyInfo where
    type AttrAllowedOps AboutDialogDocumentersPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint AboutDialogDocumentersPropertyInfo = (~) [T.Text]
    type AttrBaseTypeConstraint AboutDialogDocumentersPropertyInfo = AboutDialogK
    type AttrGetType AboutDialogDocumentersPropertyInfo = [T.Text]
    type AttrLabel AboutDialogDocumentersPropertyInfo = "documenters"
    attrGet _ = getAboutDialogDocumenters
    attrSet _ = setAboutDialogDocumenters
    attrConstruct _ = constructAboutDialogDocumenters
    attrClear _ = undefined

-- VVV Prop "license"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Just False,Just True)

getAboutDialogLicense :: (MonadIO m, AboutDialogK o) => o -> m T.Text
getAboutDialogLicense obj = liftIO $ checkUnexpectedNothing "getAboutDialogLicense" $ getObjectPropertyString obj "license"

setAboutDialogLicense :: (MonadIO m, AboutDialogK o) => o -> T.Text -> m ()
setAboutDialogLicense obj val = liftIO $ setObjectPropertyString obj "license" (Just val)

constructAboutDialogLicense :: T.Text -> IO ([Char], GValue)
constructAboutDialogLicense val = constructObjectPropertyString "license" (Just val)

clearAboutDialogLicense :: (MonadIO m, AboutDialogK o) => o -> m ()
clearAboutDialogLicense obj = liftIO $ setObjectPropertyString obj "license" (Nothing :: Maybe T.Text)

data AboutDialogLicensePropertyInfo
instance AttrInfo AboutDialogLicensePropertyInfo where
    type AttrAllowedOps AboutDialogLicensePropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet, 'AttrClear]
    type AttrSetTypeConstraint AboutDialogLicensePropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint AboutDialogLicensePropertyInfo = AboutDialogK
    type AttrGetType AboutDialogLicensePropertyInfo = T.Text
    type AttrLabel AboutDialogLicensePropertyInfo = "license"
    attrGet _ = getAboutDialogLicense
    attrSet _ = setAboutDialogLicense
    attrConstruct _ = constructAboutDialogLicense
    attrClear _ = clearAboutDialogLicense

-- VVV Prop "license-type"
   -- Type: TInterface "Gtk" "License"
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Just False,Just False)

getAboutDialogLicenseType :: (MonadIO m, AboutDialogK o) => o -> m License
getAboutDialogLicenseType obj = liftIO $ getObjectPropertyEnum obj "license-type"

setAboutDialogLicenseType :: (MonadIO m, AboutDialogK o) => o -> License -> m ()
setAboutDialogLicenseType obj val = liftIO $ setObjectPropertyEnum obj "license-type" val

constructAboutDialogLicenseType :: License -> IO ([Char], GValue)
constructAboutDialogLicenseType val = constructObjectPropertyEnum "license-type" val

data AboutDialogLicenseTypePropertyInfo
instance AttrInfo AboutDialogLicenseTypePropertyInfo where
    type AttrAllowedOps AboutDialogLicenseTypePropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint AboutDialogLicenseTypePropertyInfo = (~) License
    type AttrBaseTypeConstraint AboutDialogLicenseTypePropertyInfo = AboutDialogK
    type AttrGetType AboutDialogLicenseTypePropertyInfo = License
    type AttrLabel AboutDialogLicenseTypePropertyInfo = "license-type"
    attrGet _ = getAboutDialogLicenseType
    attrSet _ = setAboutDialogLicenseType
    attrConstruct _ = constructAboutDialogLicenseType
    attrClear _ = undefined

-- VVV Prop "logo"
   -- Type: TInterface "GdkPixbuf" "Pixbuf"
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Just False,Just True)

getAboutDialogLogo :: (MonadIO m, AboutDialogK o) => o -> m GdkPixbuf.Pixbuf
getAboutDialogLogo obj = liftIO $ checkUnexpectedNothing "getAboutDialogLogo" $ getObjectPropertyObject obj "logo" GdkPixbuf.Pixbuf

setAboutDialogLogo :: (MonadIO m, AboutDialogK o, GdkPixbuf.PixbufK a) => o -> a -> m ()
setAboutDialogLogo obj val = liftIO $ setObjectPropertyObject obj "logo" (Just val)

constructAboutDialogLogo :: (GdkPixbuf.PixbufK a) => a -> IO ([Char], GValue)
constructAboutDialogLogo val = constructObjectPropertyObject "logo" (Just val)

clearAboutDialogLogo :: (MonadIO m, AboutDialogK o) => o -> m ()
clearAboutDialogLogo obj = liftIO $ setObjectPropertyObject obj "logo" (Nothing :: Maybe GdkPixbuf.Pixbuf)

data AboutDialogLogoPropertyInfo
instance AttrInfo AboutDialogLogoPropertyInfo where
    type AttrAllowedOps AboutDialogLogoPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet, 'AttrClear]
    type AttrSetTypeConstraint AboutDialogLogoPropertyInfo = GdkPixbuf.PixbufK
    type AttrBaseTypeConstraint AboutDialogLogoPropertyInfo = AboutDialogK
    type AttrGetType AboutDialogLogoPropertyInfo = GdkPixbuf.Pixbuf
    type AttrLabel AboutDialogLogoPropertyInfo = "logo"
    attrGet _ = getAboutDialogLogo
    attrSet _ = setAboutDialogLogo
    attrConstruct _ = constructAboutDialogLogo
    attrClear _ = clearAboutDialogLogo

-- VVV Prop "logo-icon-name"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Just False,Just True)

getAboutDialogLogoIconName :: (MonadIO m, AboutDialogK o) => o -> m T.Text
getAboutDialogLogoIconName obj = liftIO $ checkUnexpectedNothing "getAboutDialogLogoIconName" $ getObjectPropertyString obj "logo-icon-name"

setAboutDialogLogoIconName :: (MonadIO m, AboutDialogK o) => o -> T.Text -> m ()
setAboutDialogLogoIconName obj val = liftIO $ setObjectPropertyString obj "logo-icon-name" (Just val)

constructAboutDialogLogoIconName :: T.Text -> IO ([Char], GValue)
constructAboutDialogLogoIconName val = constructObjectPropertyString "logo-icon-name" (Just val)

clearAboutDialogLogoIconName :: (MonadIO m, AboutDialogK o) => o -> m ()
clearAboutDialogLogoIconName obj = liftIO $ setObjectPropertyString obj "logo-icon-name" (Nothing :: Maybe T.Text)

data AboutDialogLogoIconNamePropertyInfo
instance AttrInfo AboutDialogLogoIconNamePropertyInfo where
    type AttrAllowedOps AboutDialogLogoIconNamePropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet, 'AttrClear]
    type AttrSetTypeConstraint AboutDialogLogoIconNamePropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint AboutDialogLogoIconNamePropertyInfo = AboutDialogK
    type AttrGetType AboutDialogLogoIconNamePropertyInfo = T.Text
    type AttrLabel AboutDialogLogoIconNamePropertyInfo = "logo-icon-name"
    attrGet _ = getAboutDialogLogoIconName
    attrSet _ = setAboutDialogLogoIconName
    attrConstruct _ = constructAboutDialogLogoIconName
    attrClear _ = clearAboutDialogLogoIconName

-- VVV Prop "program-name"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Just False,Just False)

getAboutDialogProgramName :: (MonadIO m, AboutDialogK o) => o -> m T.Text
getAboutDialogProgramName obj = liftIO $ checkUnexpectedNothing "getAboutDialogProgramName" $ getObjectPropertyString obj "program-name"

setAboutDialogProgramName :: (MonadIO m, AboutDialogK o) => o -> T.Text -> m ()
setAboutDialogProgramName obj val = liftIO $ setObjectPropertyString obj "program-name" (Just val)

constructAboutDialogProgramName :: T.Text -> IO ([Char], GValue)
constructAboutDialogProgramName val = constructObjectPropertyString "program-name" (Just val)

data AboutDialogProgramNamePropertyInfo
instance AttrInfo AboutDialogProgramNamePropertyInfo where
    type AttrAllowedOps AboutDialogProgramNamePropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint AboutDialogProgramNamePropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint AboutDialogProgramNamePropertyInfo = AboutDialogK
    type AttrGetType AboutDialogProgramNamePropertyInfo = T.Text
    type AttrLabel AboutDialogProgramNamePropertyInfo = "program-name"
    attrGet _ = getAboutDialogProgramName
    attrSet _ = setAboutDialogProgramName
    attrConstruct _ = constructAboutDialogProgramName
    attrClear _ = undefined

-- VVV Prop "translator-credits"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Just False,Just True)

getAboutDialogTranslatorCredits :: (MonadIO m, AboutDialogK o) => o -> m T.Text
getAboutDialogTranslatorCredits obj = liftIO $ checkUnexpectedNothing "getAboutDialogTranslatorCredits" $ getObjectPropertyString obj "translator-credits"

setAboutDialogTranslatorCredits :: (MonadIO m, AboutDialogK o) => o -> T.Text -> m ()
setAboutDialogTranslatorCredits obj val = liftIO $ setObjectPropertyString obj "translator-credits" (Just val)

constructAboutDialogTranslatorCredits :: T.Text -> IO ([Char], GValue)
constructAboutDialogTranslatorCredits val = constructObjectPropertyString "translator-credits" (Just val)

clearAboutDialogTranslatorCredits :: (MonadIO m, AboutDialogK o) => o -> m ()
clearAboutDialogTranslatorCredits obj = liftIO $ setObjectPropertyString obj "translator-credits" (Nothing :: Maybe T.Text)

data AboutDialogTranslatorCreditsPropertyInfo
instance AttrInfo AboutDialogTranslatorCreditsPropertyInfo where
    type AttrAllowedOps AboutDialogTranslatorCreditsPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet, 'AttrClear]
    type AttrSetTypeConstraint AboutDialogTranslatorCreditsPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint AboutDialogTranslatorCreditsPropertyInfo = AboutDialogK
    type AttrGetType AboutDialogTranslatorCreditsPropertyInfo = T.Text
    type AttrLabel AboutDialogTranslatorCreditsPropertyInfo = "translator-credits"
    attrGet _ = getAboutDialogTranslatorCredits
    attrSet _ = setAboutDialogTranslatorCredits
    attrConstruct _ = constructAboutDialogTranslatorCredits
    attrClear _ = clearAboutDialogTranslatorCredits

-- VVV Prop "version"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Just False,Just True)

getAboutDialogVersion :: (MonadIO m, AboutDialogK o) => o -> m T.Text
getAboutDialogVersion obj = liftIO $ checkUnexpectedNothing "getAboutDialogVersion" $ getObjectPropertyString obj "version"

setAboutDialogVersion :: (MonadIO m, AboutDialogK o) => o -> T.Text -> m ()
setAboutDialogVersion obj val = liftIO $ setObjectPropertyString obj "version" (Just val)

constructAboutDialogVersion :: T.Text -> IO ([Char], GValue)
constructAboutDialogVersion val = constructObjectPropertyString "version" (Just val)

clearAboutDialogVersion :: (MonadIO m, AboutDialogK o) => o -> m ()
clearAboutDialogVersion obj = liftIO $ setObjectPropertyString obj "version" (Nothing :: Maybe T.Text)

data AboutDialogVersionPropertyInfo
instance AttrInfo AboutDialogVersionPropertyInfo where
    type AttrAllowedOps AboutDialogVersionPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet, 'AttrClear]
    type AttrSetTypeConstraint AboutDialogVersionPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint AboutDialogVersionPropertyInfo = AboutDialogK
    type AttrGetType AboutDialogVersionPropertyInfo = T.Text
    type AttrLabel AboutDialogVersionPropertyInfo = "version"
    attrGet _ = getAboutDialogVersion
    attrSet _ = setAboutDialogVersion
    attrConstruct _ = constructAboutDialogVersion
    attrClear _ = clearAboutDialogVersion

-- VVV Prop "website"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Just False,Just True)

getAboutDialogWebsite :: (MonadIO m, AboutDialogK o) => o -> m T.Text
getAboutDialogWebsite obj = liftIO $ checkUnexpectedNothing "getAboutDialogWebsite" $ getObjectPropertyString obj "website"

setAboutDialogWebsite :: (MonadIO m, AboutDialogK o) => o -> T.Text -> m ()
setAboutDialogWebsite obj val = liftIO $ setObjectPropertyString obj "website" (Just val)

constructAboutDialogWebsite :: T.Text -> IO ([Char], GValue)
constructAboutDialogWebsite val = constructObjectPropertyString "website" (Just val)

clearAboutDialogWebsite :: (MonadIO m, AboutDialogK o) => o -> m ()
clearAboutDialogWebsite obj = liftIO $ setObjectPropertyString obj "website" (Nothing :: Maybe T.Text)

data AboutDialogWebsitePropertyInfo
instance AttrInfo AboutDialogWebsitePropertyInfo where
    type AttrAllowedOps AboutDialogWebsitePropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet, 'AttrClear]
    type AttrSetTypeConstraint AboutDialogWebsitePropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint AboutDialogWebsitePropertyInfo = AboutDialogK
    type AttrGetType AboutDialogWebsitePropertyInfo = T.Text
    type AttrLabel AboutDialogWebsitePropertyInfo = "website"
    attrGet _ = getAboutDialogWebsite
    attrSet _ = setAboutDialogWebsite
    attrConstruct _ = constructAboutDialogWebsite
    attrClear _ = clearAboutDialogWebsite

-- VVV Prop "website-label"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Just False,Just False)

getAboutDialogWebsiteLabel :: (MonadIO m, AboutDialogK o) => o -> m T.Text
getAboutDialogWebsiteLabel obj = liftIO $ checkUnexpectedNothing "getAboutDialogWebsiteLabel" $ getObjectPropertyString obj "website-label"

setAboutDialogWebsiteLabel :: (MonadIO m, AboutDialogK o) => o -> T.Text -> m ()
setAboutDialogWebsiteLabel obj val = liftIO $ setObjectPropertyString obj "website-label" (Just val)

constructAboutDialogWebsiteLabel :: T.Text -> IO ([Char], GValue)
constructAboutDialogWebsiteLabel val = constructObjectPropertyString "website-label" (Just val)

data AboutDialogWebsiteLabelPropertyInfo
instance AttrInfo AboutDialogWebsiteLabelPropertyInfo where
    type AttrAllowedOps AboutDialogWebsiteLabelPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint AboutDialogWebsiteLabelPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint AboutDialogWebsiteLabelPropertyInfo = AboutDialogK
    type AttrGetType AboutDialogWebsiteLabelPropertyInfo = T.Text
    type AttrLabel AboutDialogWebsiteLabelPropertyInfo = "website-label"
    attrGet _ = getAboutDialogWebsiteLabel
    attrSet _ = setAboutDialogWebsiteLabel
    attrConstruct _ = constructAboutDialogWebsiteLabel
    attrClear _ = undefined

-- VVV Prop "wrap-license"
   -- Type: TBasicType TBoolean
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Just False,Just False)

getAboutDialogWrapLicense :: (MonadIO m, AboutDialogK o) => o -> m Bool
getAboutDialogWrapLicense obj = liftIO $ getObjectPropertyBool obj "wrap-license"

setAboutDialogWrapLicense :: (MonadIO m, AboutDialogK o) => o -> Bool -> m ()
setAboutDialogWrapLicense obj val = liftIO $ setObjectPropertyBool obj "wrap-license" val

constructAboutDialogWrapLicense :: Bool -> IO ([Char], GValue)
constructAboutDialogWrapLicense val = constructObjectPropertyBool "wrap-license" val

data AboutDialogWrapLicensePropertyInfo
instance AttrInfo AboutDialogWrapLicensePropertyInfo where
    type AttrAllowedOps AboutDialogWrapLicensePropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint AboutDialogWrapLicensePropertyInfo = (~) Bool
    type AttrBaseTypeConstraint AboutDialogWrapLicensePropertyInfo = AboutDialogK
    type AttrGetType AboutDialogWrapLicensePropertyInfo = Bool
    type AttrLabel AboutDialogWrapLicensePropertyInfo = "wrap-license"
    attrGet _ = getAboutDialogWrapLicense
    attrSet _ = setAboutDialogWrapLicense
    attrConstruct _ = constructAboutDialogWrapLicense
    attrClear _ = undefined

type instance AttributeList AboutDialog = AboutDialogAttributeList
type AboutDialogAttributeList = ('[ '("acceptFocus", WindowAcceptFocusPropertyInfo), '("appPaintable", WidgetAppPaintablePropertyInfo), '("application", WindowApplicationPropertyInfo), '("artists", AboutDialogArtistsPropertyInfo), '("attachedTo", WindowAttachedToPropertyInfo), '("authors", AboutDialogAuthorsPropertyInfo), '("borderWidth", ContainerBorderWidthPropertyInfo), '("canDefault", WidgetCanDefaultPropertyInfo), '("canFocus", WidgetCanFocusPropertyInfo), '("child", ContainerChildPropertyInfo), '("comments", AboutDialogCommentsPropertyInfo), '("compositeChild", WidgetCompositeChildPropertyInfo), '("copyright", AboutDialogCopyrightPropertyInfo), '("decorated", WindowDecoratedPropertyInfo), '("defaultHeight", WindowDefaultHeightPropertyInfo), '("defaultWidth", WindowDefaultWidthPropertyInfo), '("deletable", WindowDeletablePropertyInfo), '("destroyWithParent", WindowDestroyWithParentPropertyInfo), '("documenters", AboutDialogDocumentersPropertyInfo), '("doubleBuffered", WidgetDoubleBufferedPropertyInfo), '("events", WidgetEventsPropertyInfo), '("expand", WidgetExpandPropertyInfo), '("focusOnMap", WindowFocusOnMapPropertyInfo), '("focusVisible", WindowFocusVisiblePropertyInfo), '("gravity", WindowGravityPropertyInfo), '("halign", WidgetHalignPropertyInfo), '("hasDefault", WidgetHasDefaultPropertyInfo), '("hasFocus", WidgetHasFocusPropertyInfo), '("hasResizeGrip", WindowHasResizeGripPropertyInfo), '("hasTooltip", WidgetHasTooltipPropertyInfo), '("hasToplevelFocus", WindowHasToplevelFocusPropertyInfo), '("heightRequest", WidgetHeightRequestPropertyInfo), '("hexpand", WidgetHexpandPropertyInfo), '("hexpandSet", WidgetHexpandSetPropertyInfo), '("hideTitlebarWhenMaximized", WindowHideTitlebarWhenMaximizedPropertyInfo), '("icon", WindowIconPropertyInfo), '("iconName", WindowIconNamePropertyInfo), '("isActive", WindowIsActivePropertyInfo), '("isFocus", WidgetIsFocusPropertyInfo), '("isMaximized", WindowIsMaximizedPropertyInfo), '("license", AboutDialogLicensePropertyInfo), '("licenseType", AboutDialogLicenseTypePropertyInfo), '("logo", AboutDialogLogoPropertyInfo), '("logoIconName", AboutDialogLogoIconNamePropertyInfo), '("margin", WidgetMarginPropertyInfo), '("marginBottom", WidgetMarginBottomPropertyInfo), '("marginEnd", WidgetMarginEndPropertyInfo), '("marginLeft", WidgetMarginLeftPropertyInfo), '("marginRight", WidgetMarginRightPropertyInfo), '("marginStart", WidgetMarginStartPropertyInfo), '("marginTop", WidgetMarginTopPropertyInfo), '("mnemonicsVisible", WindowMnemonicsVisiblePropertyInfo), '("modal", WindowModalPropertyInfo), '("name", WidgetNamePropertyInfo), '("noShowAll", WidgetNoShowAllPropertyInfo), '("opacity", WidgetOpacityPropertyInfo), '("parent", WidgetParentPropertyInfo), '("programName", AboutDialogProgramNamePropertyInfo), '("receivesDefault", WidgetReceivesDefaultPropertyInfo), '("resizable", WindowResizablePropertyInfo), '("resizeGripVisible", WindowResizeGripVisiblePropertyInfo), '("resizeMode", ContainerResizeModePropertyInfo), '("role", WindowRolePropertyInfo), '("scaleFactor", WidgetScaleFactorPropertyInfo), '("screen", WindowScreenPropertyInfo), '("sensitive", WidgetSensitivePropertyInfo), '("skipPagerHint", WindowSkipPagerHintPropertyInfo), '("skipTaskbarHint", WindowSkipTaskbarHintPropertyInfo), '("startupId", WindowStartupIdPropertyInfo), '("style", WidgetStylePropertyInfo), '("title", WindowTitlePropertyInfo), '("tooltipMarkup", WidgetTooltipMarkupPropertyInfo), '("tooltipText", WidgetTooltipTextPropertyInfo), '("transientFor", WindowTransientForPropertyInfo), '("translatorCredits", AboutDialogTranslatorCreditsPropertyInfo), '("type", WindowTypePropertyInfo), '("typeHint", WindowTypeHintPropertyInfo), '("urgencyHint", WindowUrgencyHintPropertyInfo), '("useHeaderBar", DialogUseHeaderBarPropertyInfo), '("valign", WidgetValignPropertyInfo), '("version", AboutDialogVersionPropertyInfo), '("vexpand", WidgetVexpandPropertyInfo), '("vexpandSet", WidgetVexpandSetPropertyInfo), '("visible", WidgetVisiblePropertyInfo), '("website", AboutDialogWebsitePropertyInfo), '("websiteLabel", AboutDialogWebsiteLabelPropertyInfo), '("widthRequest", WidgetWidthRequestPropertyInfo), '("window", WidgetWindowPropertyInfo), '("windowPosition", WindowWindowPositionPropertyInfo), '("wrapLicense", AboutDialogWrapLicensePropertyInfo)] :: [(Symbol, *)])

aboutDialogArtists :: AttrLabelProxy "artists"
aboutDialogArtists = AttrLabelProxy

aboutDialogAuthors :: AttrLabelProxy "authors"
aboutDialogAuthors = AttrLabelProxy

aboutDialogComments :: AttrLabelProxy "comments"
aboutDialogComments = AttrLabelProxy

aboutDialogCopyright :: AttrLabelProxy "copyright"
aboutDialogCopyright = AttrLabelProxy

aboutDialogDocumenters :: AttrLabelProxy "documenters"
aboutDialogDocumenters = AttrLabelProxy

aboutDialogLicense :: AttrLabelProxy "license"
aboutDialogLicense = AttrLabelProxy

aboutDialogLicenseType :: AttrLabelProxy "licenseType"
aboutDialogLicenseType = AttrLabelProxy

aboutDialogLogo :: AttrLabelProxy "logo"
aboutDialogLogo = AttrLabelProxy

aboutDialogLogoIconName :: AttrLabelProxy "logoIconName"
aboutDialogLogoIconName = AttrLabelProxy

aboutDialogProgramName :: AttrLabelProxy "programName"
aboutDialogProgramName = AttrLabelProxy

aboutDialogTranslatorCredits :: AttrLabelProxy "translatorCredits"
aboutDialogTranslatorCredits = AttrLabelProxy

aboutDialogVersion :: AttrLabelProxy "version"
aboutDialogVersion = AttrLabelProxy

aboutDialogWebsite :: AttrLabelProxy "website"
aboutDialogWebsite = AttrLabelProxy

aboutDialogWebsiteLabel :: AttrLabelProxy "websiteLabel"
aboutDialogWebsiteLabel = AttrLabelProxy

aboutDialogWrapLicense :: AttrLabelProxy "wrapLicense"
aboutDialogWrapLicense = AttrLabelProxy

data AboutDialogActivateLinkSignalInfo
instance SignalInfo AboutDialogActivateLinkSignalInfo where
    type HaskellCallbackType AboutDialogActivateLinkSignalInfo = AboutDialogActivateLinkCallback
    connectSignal _ = connectAboutDialogActivateLink

type instance SignalList AboutDialog = AboutDialogSignalList
type AboutDialogSignalList = ('[ '("accelClosuresChanged", WidgetAccelClosuresChangedSignalInfo), '("activateDefault", WindowActivateDefaultSignalInfo), '("activateFocus", WindowActivateFocusSignalInfo), '("activateLink", AboutDialogActivateLinkSignalInfo), '("add", ContainerAddSignalInfo), '("buttonPressEvent", WidgetButtonPressEventSignalInfo), '("buttonReleaseEvent", WidgetButtonReleaseEventSignalInfo), '("canActivateAccel", WidgetCanActivateAccelSignalInfo), '("checkResize", ContainerCheckResizeSignalInfo), '("childNotify", WidgetChildNotifySignalInfo), '("close", DialogCloseSignalInfo), '("compositedChanged", WidgetCompositedChangedSignalInfo), '("configureEvent", WidgetConfigureEventSignalInfo), '("damageEvent", WidgetDamageEventSignalInfo), '("deleteEvent", WidgetDeleteEventSignalInfo), '("destroy", WidgetDestroySignalInfo), '("destroyEvent", WidgetDestroyEventSignalInfo), '("directionChanged", WidgetDirectionChangedSignalInfo), '("dragBegin", WidgetDragBeginSignalInfo), '("dragDataDelete", WidgetDragDataDeleteSignalInfo), '("dragDataGet", WidgetDragDataGetSignalInfo), '("dragDataReceived", WidgetDragDataReceivedSignalInfo), '("dragDrop", WidgetDragDropSignalInfo), '("dragEnd", WidgetDragEndSignalInfo), '("dragFailed", WidgetDragFailedSignalInfo), '("dragLeave", WidgetDragLeaveSignalInfo), '("dragMotion", WidgetDragMotionSignalInfo), '("draw", WidgetDrawSignalInfo), '("enableDebugging", WindowEnableDebuggingSignalInfo), '("enterNotifyEvent", WidgetEnterNotifyEventSignalInfo), '("event", WidgetEventSignalInfo), '("eventAfter", WidgetEventAfterSignalInfo), '("focus", WidgetFocusSignalInfo), '("focusInEvent", WidgetFocusInEventSignalInfo), '("focusOutEvent", WidgetFocusOutEventSignalInfo), '("grabBrokenEvent", WidgetGrabBrokenEventSignalInfo), '("grabFocus", WidgetGrabFocusSignalInfo), '("grabNotify", WidgetGrabNotifySignalInfo), '("hide", WidgetHideSignalInfo), '("hierarchyChanged", WidgetHierarchyChangedSignalInfo), '("keyPressEvent", WidgetKeyPressEventSignalInfo), '("keyReleaseEvent", WidgetKeyReleaseEventSignalInfo), '("keynavFailed", WidgetKeynavFailedSignalInfo), '("keysChanged", WindowKeysChangedSignalInfo), '("leaveNotifyEvent", WidgetLeaveNotifyEventSignalInfo), '("map", WidgetMapSignalInfo), '("mapEvent", WidgetMapEventSignalInfo), '("mnemonicActivate", WidgetMnemonicActivateSignalInfo), '("motionNotifyEvent", WidgetMotionNotifyEventSignalInfo), '("moveFocus", WidgetMoveFocusSignalInfo), '("notify", GObject.ObjectNotifySignalInfo), '("parentSet", WidgetParentSetSignalInfo), '("popupMenu", WidgetPopupMenuSignalInfo), '("propertyNotifyEvent", WidgetPropertyNotifyEventSignalInfo), '("proximityInEvent", WidgetProximityInEventSignalInfo), '("proximityOutEvent", WidgetProximityOutEventSignalInfo), '("queryTooltip", WidgetQueryTooltipSignalInfo), '("realize", WidgetRealizeSignalInfo), '("remove", ContainerRemoveSignalInfo), '("response", DialogResponseSignalInfo), '("screenChanged", WidgetScreenChangedSignalInfo), '("scrollEvent", WidgetScrollEventSignalInfo), '("selectionClearEvent", WidgetSelectionClearEventSignalInfo), '("selectionGet", WidgetSelectionGetSignalInfo), '("selectionNotifyEvent", WidgetSelectionNotifyEventSignalInfo), '("selectionReceived", WidgetSelectionReceivedSignalInfo), '("selectionRequestEvent", WidgetSelectionRequestEventSignalInfo), '("setFocus", WindowSetFocusSignalInfo), '("setFocusChild", ContainerSetFocusChildSignalInfo), '("show", WidgetShowSignalInfo), '("showHelp", WidgetShowHelpSignalInfo), '("sizeAllocate", WidgetSizeAllocateSignalInfo), '("stateChanged", WidgetStateChangedSignalInfo), '("stateFlagsChanged", WidgetStateFlagsChangedSignalInfo), '("styleSet", WidgetStyleSetSignalInfo), '("styleUpdated", WidgetStyleUpdatedSignalInfo), '("touchEvent", WidgetTouchEventSignalInfo), '("unmap", WidgetUnmapSignalInfo), '("unmapEvent", WidgetUnmapEventSignalInfo), '("unrealize", WidgetUnrealizeSignalInfo), '("visibilityNotifyEvent", WidgetVisibilityNotifyEventSignalInfo), '("windowStateEvent", WidgetWindowStateEventSignalInfo)] :: [(Symbol, *)])

-- method AboutDialog::new
-- method type : Constructor
-- Args : []
-- Lengths : []
-- returnType : Just (TInterface "Gtk" "AboutDialog")
-- throws : False
-- Skip return : False

foreign import ccall "gtk_about_dialog_new" gtk_about_dialog_new :: 
    IO (Ptr AboutDialog)


aboutDialogNew ::
    (MonadIO m) =>
    m AboutDialog                           -- result
aboutDialogNew  = liftIO $ do
    result <- gtk_about_dialog_new
    checkUnexpectedReturnNULL "gtk_about_dialog_new" result
    result' <- (newObject AboutDialog) result
    return result'

-- method AboutDialog::add_credit_section
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "_obj", argType = TInterface "Gtk" "AboutDialog", direction = DirectionIn, mayBeNull = False, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "section_name", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "people", argType = TCArray True (-1) (-1) (TBasicType TUTF8), direction = DirectionIn, mayBeNull = False, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "gtk_about_dialog_add_credit_section" gtk_about_dialog_add_credit_section :: 
    Ptr AboutDialog ->                      -- _obj : TInterface "Gtk" "AboutDialog"
    CString ->                              -- section_name : TBasicType TUTF8
    Ptr CString ->                          -- people : TCArray True (-1) (-1) (TBasicType TUTF8)
    IO ()


aboutDialogAddCreditSection ::
    (MonadIO m, AboutDialogK a) =>
    a                                       -- _obj
    -> T.Text                               -- sectionName
    -> [T.Text]                             -- people
    -> m ()                                 -- result
aboutDialogAddCreditSection _obj sectionName people = liftIO $ do
    let _obj' = unsafeManagedPtrCastPtr _obj
    sectionName' <- textToCString sectionName
    people' <- packZeroTerminatedUTF8CArray people
    gtk_about_dialog_add_credit_section _obj' sectionName' people'
    touchManagedPtr _obj
    freeMem sectionName'
    mapZeroTerminatedCArray freeMem people'
    freeMem people'
    return ()

data AboutDialogAddCreditSectionMethodInfo
instance (signature ~ (T.Text -> [T.Text] -> m ()), MonadIO m, AboutDialogK a) => MethodInfo AboutDialogAddCreditSectionMethodInfo a signature where
    overloadedMethod _ = aboutDialogAddCreditSection

-- method AboutDialog::get_artists
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "_obj", argType = TInterface "Gtk" "AboutDialog", direction = DirectionIn, mayBeNull = False, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TCArray True (-1) (-1) (TBasicType TUTF8))
-- throws : False
-- Skip return : False

foreign import ccall "gtk_about_dialog_get_artists" gtk_about_dialog_get_artists :: 
    Ptr AboutDialog ->                      -- _obj : TInterface "Gtk" "AboutDialog"
    IO (Ptr CString)


aboutDialogGetArtists ::
    (MonadIO m, AboutDialogK a) =>
    a                                       -- _obj
    -> m [T.Text]                           -- result
aboutDialogGetArtists _obj = liftIO $ do
    let _obj' = unsafeManagedPtrCastPtr _obj
    result <- gtk_about_dialog_get_artists _obj'
    checkUnexpectedReturnNULL "gtk_about_dialog_get_artists" result
    result' <- unpackZeroTerminatedUTF8CArray result
    touchManagedPtr _obj
    return result'

data AboutDialogGetArtistsMethodInfo
instance (signature ~ (m [T.Text]), MonadIO m, AboutDialogK a) => MethodInfo AboutDialogGetArtistsMethodInfo a signature where
    overloadedMethod _ = aboutDialogGetArtists

-- method AboutDialog::get_authors
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "_obj", argType = TInterface "Gtk" "AboutDialog", direction = DirectionIn, mayBeNull = False, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TCArray True (-1) (-1) (TBasicType TUTF8))
-- throws : False
-- Skip return : False

foreign import ccall "gtk_about_dialog_get_authors" gtk_about_dialog_get_authors :: 
    Ptr AboutDialog ->                      -- _obj : TInterface "Gtk" "AboutDialog"
    IO (Ptr CString)


aboutDialogGetAuthors ::
    (MonadIO m, AboutDialogK a) =>
    a                                       -- _obj
    -> m [T.Text]                           -- result
aboutDialogGetAuthors _obj = liftIO $ do
    let _obj' = unsafeManagedPtrCastPtr _obj
    result <- gtk_about_dialog_get_authors _obj'
    checkUnexpectedReturnNULL "gtk_about_dialog_get_authors" result
    result' <- unpackZeroTerminatedUTF8CArray result
    touchManagedPtr _obj
    return result'

data AboutDialogGetAuthorsMethodInfo
instance (signature ~ (m [T.Text]), MonadIO m, AboutDialogK a) => MethodInfo AboutDialogGetAuthorsMethodInfo a signature where
    overloadedMethod _ = aboutDialogGetAuthors

-- method AboutDialog::get_comments
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "_obj", argType = TInterface "Gtk" "AboutDialog", direction = DirectionIn, mayBeNull = False, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "gtk_about_dialog_get_comments" gtk_about_dialog_get_comments :: 
    Ptr AboutDialog ->                      -- _obj : TInterface "Gtk" "AboutDialog"
    IO CString


aboutDialogGetComments ::
    (MonadIO m, AboutDialogK a) =>
    a                                       -- _obj
    -> m T.Text                             -- result
aboutDialogGetComments _obj = liftIO $ do
    let _obj' = unsafeManagedPtrCastPtr _obj
    result <- gtk_about_dialog_get_comments _obj'
    checkUnexpectedReturnNULL "gtk_about_dialog_get_comments" result
    result' <- cstringToText result
    touchManagedPtr _obj
    return result'

data AboutDialogGetCommentsMethodInfo
instance (signature ~ (m T.Text), MonadIO m, AboutDialogK a) => MethodInfo AboutDialogGetCommentsMethodInfo a signature where
    overloadedMethod _ = aboutDialogGetComments

-- method AboutDialog::get_copyright
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "_obj", argType = TInterface "Gtk" "AboutDialog", direction = DirectionIn, mayBeNull = False, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "gtk_about_dialog_get_copyright" gtk_about_dialog_get_copyright :: 
    Ptr AboutDialog ->                      -- _obj : TInterface "Gtk" "AboutDialog"
    IO CString


aboutDialogGetCopyright ::
    (MonadIO m, AboutDialogK a) =>
    a                                       -- _obj
    -> m T.Text                             -- result
aboutDialogGetCopyright _obj = liftIO $ do
    let _obj' = unsafeManagedPtrCastPtr _obj
    result <- gtk_about_dialog_get_copyright _obj'
    checkUnexpectedReturnNULL "gtk_about_dialog_get_copyright" result
    result' <- cstringToText result
    touchManagedPtr _obj
    return result'

data AboutDialogGetCopyrightMethodInfo
instance (signature ~ (m T.Text), MonadIO m, AboutDialogK a) => MethodInfo AboutDialogGetCopyrightMethodInfo a signature where
    overloadedMethod _ = aboutDialogGetCopyright

-- method AboutDialog::get_documenters
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "_obj", argType = TInterface "Gtk" "AboutDialog", direction = DirectionIn, mayBeNull = False, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TCArray True (-1) (-1) (TBasicType TUTF8))
-- throws : False
-- Skip return : False

foreign import ccall "gtk_about_dialog_get_documenters" gtk_about_dialog_get_documenters :: 
    Ptr AboutDialog ->                      -- _obj : TInterface "Gtk" "AboutDialog"
    IO (Ptr CString)


aboutDialogGetDocumenters ::
    (MonadIO m, AboutDialogK a) =>
    a                                       -- _obj
    -> m [T.Text]                           -- result
aboutDialogGetDocumenters _obj = liftIO $ do
    let _obj' = unsafeManagedPtrCastPtr _obj
    result <- gtk_about_dialog_get_documenters _obj'
    checkUnexpectedReturnNULL "gtk_about_dialog_get_documenters" result
    result' <- unpackZeroTerminatedUTF8CArray result
    touchManagedPtr _obj
    return result'

data AboutDialogGetDocumentersMethodInfo
instance (signature ~ (m [T.Text]), MonadIO m, AboutDialogK a) => MethodInfo AboutDialogGetDocumentersMethodInfo a signature where
    overloadedMethod _ = aboutDialogGetDocumenters

-- method AboutDialog::get_license
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "_obj", argType = TInterface "Gtk" "AboutDialog", direction = DirectionIn, mayBeNull = False, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "gtk_about_dialog_get_license" gtk_about_dialog_get_license :: 
    Ptr AboutDialog ->                      -- _obj : TInterface "Gtk" "AboutDialog"
    IO CString


aboutDialogGetLicense ::
    (MonadIO m, AboutDialogK a) =>
    a                                       -- _obj
    -> m T.Text                             -- result
aboutDialogGetLicense _obj = liftIO $ do
    let _obj' = unsafeManagedPtrCastPtr _obj
    result <- gtk_about_dialog_get_license _obj'
    checkUnexpectedReturnNULL "gtk_about_dialog_get_license" result
    result' <- cstringToText result
    touchManagedPtr _obj
    return result'

data AboutDialogGetLicenseMethodInfo
instance (signature ~ (m T.Text), MonadIO m, AboutDialogK a) => MethodInfo AboutDialogGetLicenseMethodInfo a signature where
    overloadedMethod _ = aboutDialogGetLicense

-- method AboutDialog::get_license_type
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "_obj", argType = TInterface "Gtk" "AboutDialog", direction = DirectionIn, mayBeNull = False, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TInterface "Gtk" "License")
-- throws : False
-- Skip return : False

foreign import ccall "gtk_about_dialog_get_license_type" gtk_about_dialog_get_license_type :: 
    Ptr AboutDialog ->                      -- _obj : TInterface "Gtk" "AboutDialog"
    IO CUInt


aboutDialogGetLicenseType ::
    (MonadIO m, AboutDialogK a) =>
    a                                       -- _obj
    -> m License                            -- result
aboutDialogGetLicenseType _obj = liftIO $ do
    let _obj' = unsafeManagedPtrCastPtr _obj
    result <- gtk_about_dialog_get_license_type _obj'
    let result' = (toEnum . fromIntegral) result
    touchManagedPtr _obj
    return result'

data AboutDialogGetLicenseTypeMethodInfo
instance (signature ~ (m License), MonadIO m, AboutDialogK a) => MethodInfo AboutDialogGetLicenseTypeMethodInfo a signature where
    overloadedMethod _ = aboutDialogGetLicenseType

-- method AboutDialog::get_logo
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "_obj", argType = TInterface "Gtk" "AboutDialog", direction = DirectionIn, mayBeNull = False, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TInterface "GdkPixbuf" "Pixbuf")
-- throws : False
-- Skip return : False

foreign import ccall "gtk_about_dialog_get_logo" gtk_about_dialog_get_logo :: 
    Ptr AboutDialog ->                      -- _obj : TInterface "Gtk" "AboutDialog"
    IO (Ptr GdkPixbuf.Pixbuf)


aboutDialogGetLogo ::
    (MonadIO m, AboutDialogK a) =>
    a                                       -- _obj
    -> m GdkPixbuf.Pixbuf                   -- result
aboutDialogGetLogo _obj = liftIO $ do
    let _obj' = unsafeManagedPtrCastPtr _obj
    result <- gtk_about_dialog_get_logo _obj'
    checkUnexpectedReturnNULL "gtk_about_dialog_get_logo" result
    result' <- (newObject GdkPixbuf.Pixbuf) result
    touchManagedPtr _obj
    return result'

data AboutDialogGetLogoMethodInfo
instance (signature ~ (m GdkPixbuf.Pixbuf), MonadIO m, AboutDialogK a) => MethodInfo AboutDialogGetLogoMethodInfo a signature where
    overloadedMethod _ = aboutDialogGetLogo

-- method AboutDialog::get_logo_icon_name
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "_obj", argType = TInterface "Gtk" "AboutDialog", direction = DirectionIn, mayBeNull = False, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "gtk_about_dialog_get_logo_icon_name" gtk_about_dialog_get_logo_icon_name :: 
    Ptr AboutDialog ->                      -- _obj : TInterface "Gtk" "AboutDialog"
    IO CString


aboutDialogGetLogoIconName ::
    (MonadIO m, AboutDialogK a) =>
    a                                       -- _obj
    -> m T.Text                             -- result
aboutDialogGetLogoIconName _obj = liftIO $ do
    let _obj' = unsafeManagedPtrCastPtr _obj
    result <- gtk_about_dialog_get_logo_icon_name _obj'
    checkUnexpectedReturnNULL "gtk_about_dialog_get_logo_icon_name" result
    result' <- cstringToText result
    touchManagedPtr _obj
    return result'

data AboutDialogGetLogoIconNameMethodInfo
instance (signature ~ (m T.Text), MonadIO m, AboutDialogK a) => MethodInfo AboutDialogGetLogoIconNameMethodInfo a signature where
    overloadedMethod _ = aboutDialogGetLogoIconName

-- method AboutDialog::get_program_name
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "_obj", argType = TInterface "Gtk" "AboutDialog", direction = DirectionIn, mayBeNull = False, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "gtk_about_dialog_get_program_name" gtk_about_dialog_get_program_name :: 
    Ptr AboutDialog ->                      -- _obj : TInterface "Gtk" "AboutDialog"
    IO CString


aboutDialogGetProgramName ::
    (MonadIO m, AboutDialogK a) =>
    a                                       -- _obj
    -> m T.Text                             -- result
aboutDialogGetProgramName _obj = liftIO $ do
    let _obj' = unsafeManagedPtrCastPtr _obj
    result <- gtk_about_dialog_get_program_name _obj'
    checkUnexpectedReturnNULL "gtk_about_dialog_get_program_name" result
    result' <- cstringToText result
    touchManagedPtr _obj
    return result'

data AboutDialogGetProgramNameMethodInfo
instance (signature ~ (m T.Text), MonadIO m, AboutDialogK a) => MethodInfo AboutDialogGetProgramNameMethodInfo a signature where
    overloadedMethod _ = aboutDialogGetProgramName

-- method AboutDialog::get_translator_credits
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "_obj", argType = TInterface "Gtk" "AboutDialog", direction = DirectionIn, mayBeNull = False, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "gtk_about_dialog_get_translator_credits" gtk_about_dialog_get_translator_credits :: 
    Ptr AboutDialog ->                      -- _obj : TInterface "Gtk" "AboutDialog"
    IO CString


aboutDialogGetTranslatorCredits ::
    (MonadIO m, AboutDialogK a) =>
    a                                       -- _obj
    -> m T.Text                             -- result
aboutDialogGetTranslatorCredits _obj = liftIO $ do
    let _obj' = unsafeManagedPtrCastPtr _obj
    result <- gtk_about_dialog_get_translator_credits _obj'
    checkUnexpectedReturnNULL "gtk_about_dialog_get_translator_credits" result
    result' <- cstringToText result
    touchManagedPtr _obj
    return result'

data AboutDialogGetTranslatorCreditsMethodInfo
instance (signature ~ (m T.Text), MonadIO m, AboutDialogK a) => MethodInfo AboutDialogGetTranslatorCreditsMethodInfo a signature where
    overloadedMethod _ = aboutDialogGetTranslatorCredits

-- method AboutDialog::get_version
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "_obj", argType = TInterface "Gtk" "AboutDialog", direction = DirectionIn, mayBeNull = False, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "gtk_about_dialog_get_version" gtk_about_dialog_get_version :: 
    Ptr AboutDialog ->                      -- _obj : TInterface "Gtk" "AboutDialog"
    IO CString


aboutDialogGetVersion ::
    (MonadIO m, AboutDialogK a) =>
    a                                       -- _obj
    -> m T.Text                             -- result
aboutDialogGetVersion _obj = liftIO $ do
    let _obj' = unsafeManagedPtrCastPtr _obj
    result <- gtk_about_dialog_get_version _obj'
    checkUnexpectedReturnNULL "gtk_about_dialog_get_version" result
    result' <- cstringToText result
    touchManagedPtr _obj
    return result'

data AboutDialogGetVersionMethodInfo
instance (signature ~ (m T.Text), MonadIO m, AboutDialogK a) => MethodInfo AboutDialogGetVersionMethodInfo a signature where
    overloadedMethod _ = aboutDialogGetVersion

-- method AboutDialog::get_website
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "_obj", argType = TInterface "Gtk" "AboutDialog", direction = DirectionIn, mayBeNull = False, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "gtk_about_dialog_get_website" gtk_about_dialog_get_website :: 
    Ptr AboutDialog ->                      -- _obj : TInterface "Gtk" "AboutDialog"
    IO CString


aboutDialogGetWebsite ::
    (MonadIO m, AboutDialogK a) =>
    a                                       -- _obj
    -> m T.Text                             -- result
aboutDialogGetWebsite _obj = liftIO $ do
    let _obj' = unsafeManagedPtrCastPtr _obj
    result <- gtk_about_dialog_get_website _obj'
    checkUnexpectedReturnNULL "gtk_about_dialog_get_website" result
    result' <- cstringToText result
    touchManagedPtr _obj
    return result'

data AboutDialogGetWebsiteMethodInfo
instance (signature ~ (m T.Text), MonadIO m, AboutDialogK a) => MethodInfo AboutDialogGetWebsiteMethodInfo a signature where
    overloadedMethod _ = aboutDialogGetWebsite

-- method AboutDialog::get_website_label
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "_obj", argType = TInterface "Gtk" "AboutDialog", direction = DirectionIn, mayBeNull = False, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "gtk_about_dialog_get_website_label" gtk_about_dialog_get_website_label :: 
    Ptr AboutDialog ->                      -- _obj : TInterface "Gtk" "AboutDialog"
    IO CString


aboutDialogGetWebsiteLabel ::
    (MonadIO m, AboutDialogK a) =>
    a                                       -- _obj
    -> m T.Text                             -- result
aboutDialogGetWebsiteLabel _obj = liftIO $ do
    let _obj' = unsafeManagedPtrCastPtr _obj
    result <- gtk_about_dialog_get_website_label _obj'
    checkUnexpectedReturnNULL "gtk_about_dialog_get_website_label" result
    result' <- cstringToText result
    touchManagedPtr _obj
    return result'

data AboutDialogGetWebsiteLabelMethodInfo
instance (signature ~ (m T.Text), MonadIO m, AboutDialogK a) => MethodInfo AboutDialogGetWebsiteLabelMethodInfo a signature where
    overloadedMethod _ = aboutDialogGetWebsiteLabel

-- method AboutDialog::get_wrap_license
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "_obj", argType = TInterface "Gtk" "AboutDialog", direction = DirectionIn, mayBeNull = False, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TBoolean)
-- throws : False
-- Skip return : False

foreign import ccall "gtk_about_dialog_get_wrap_license" gtk_about_dialog_get_wrap_license :: 
    Ptr AboutDialog ->                      -- _obj : TInterface "Gtk" "AboutDialog"
    IO CInt


aboutDialogGetWrapLicense ::
    (MonadIO m, AboutDialogK a) =>
    a                                       -- _obj
    -> m Bool                               -- result
aboutDialogGetWrapLicense _obj = liftIO $ do
    let _obj' = unsafeManagedPtrCastPtr _obj
    result <- gtk_about_dialog_get_wrap_license _obj'
    let result' = (/= 0) result
    touchManagedPtr _obj
    return result'

data AboutDialogGetWrapLicenseMethodInfo
instance (signature ~ (m Bool), MonadIO m, AboutDialogK a) => MethodInfo AboutDialogGetWrapLicenseMethodInfo a signature where
    overloadedMethod _ = aboutDialogGetWrapLicense

-- method AboutDialog::set_artists
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "_obj", argType = TInterface "Gtk" "AboutDialog", direction = DirectionIn, mayBeNull = False, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "artists", argType = TCArray True (-1) (-1) (TBasicType TUTF8), direction = DirectionIn, mayBeNull = False, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "gtk_about_dialog_set_artists" gtk_about_dialog_set_artists :: 
    Ptr AboutDialog ->                      -- _obj : TInterface "Gtk" "AboutDialog"
    Ptr CString ->                          -- artists : TCArray True (-1) (-1) (TBasicType TUTF8)
    IO ()


aboutDialogSetArtists ::
    (MonadIO m, AboutDialogK a) =>
    a                                       -- _obj
    -> [T.Text]                             -- artists
    -> m ()                                 -- result
aboutDialogSetArtists _obj artists = liftIO $ do
    let _obj' = unsafeManagedPtrCastPtr _obj
    artists' <- packZeroTerminatedUTF8CArray artists
    gtk_about_dialog_set_artists _obj' artists'
    touchManagedPtr _obj
    mapZeroTerminatedCArray freeMem artists'
    freeMem artists'
    return ()

data AboutDialogSetArtistsMethodInfo
instance (signature ~ ([T.Text] -> m ()), MonadIO m, AboutDialogK a) => MethodInfo AboutDialogSetArtistsMethodInfo a signature where
    overloadedMethod _ = aboutDialogSetArtists

-- method AboutDialog::set_authors
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "_obj", argType = TInterface "Gtk" "AboutDialog", direction = DirectionIn, mayBeNull = False, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "authors", argType = TCArray True (-1) (-1) (TBasicType TUTF8), direction = DirectionIn, mayBeNull = False, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "gtk_about_dialog_set_authors" gtk_about_dialog_set_authors :: 
    Ptr AboutDialog ->                      -- _obj : TInterface "Gtk" "AboutDialog"
    Ptr CString ->                          -- authors : TCArray True (-1) (-1) (TBasicType TUTF8)
    IO ()


aboutDialogSetAuthors ::
    (MonadIO m, AboutDialogK a) =>
    a                                       -- _obj
    -> [T.Text]                             -- authors
    -> m ()                                 -- result
aboutDialogSetAuthors _obj authors = liftIO $ do
    let _obj' = unsafeManagedPtrCastPtr _obj
    authors' <- packZeroTerminatedUTF8CArray authors
    gtk_about_dialog_set_authors _obj' authors'
    touchManagedPtr _obj
    mapZeroTerminatedCArray freeMem authors'
    freeMem authors'
    return ()

data AboutDialogSetAuthorsMethodInfo
instance (signature ~ ([T.Text] -> m ()), MonadIO m, AboutDialogK a) => MethodInfo AboutDialogSetAuthorsMethodInfo a signature where
    overloadedMethod _ = aboutDialogSetAuthors

-- method AboutDialog::set_comments
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "_obj", argType = TInterface "Gtk" "AboutDialog", direction = DirectionIn, mayBeNull = False, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "comments", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = True, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "gtk_about_dialog_set_comments" gtk_about_dialog_set_comments :: 
    Ptr AboutDialog ->                      -- _obj : TInterface "Gtk" "AboutDialog"
    CString ->                              -- comments : TBasicType TUTF8
    IO ()


aboutDialogSetComments ::
    (MonadIO m, AboutDialogK a) =>
    a                                       -- _obj
    -> Maybe (T.Text)                       -- comments
    -> m ()                                 -- result
aboutDialogSetComments _obj comments = liftIO $ do
    let _obj' = unsafeManagedPtrCastPtr _obj
    maybeComments <- case comments of
        Nothing -> return nullPtr
        Just jComments -> do
            jComments' <- textToCString jComments
            return jComments'
    gtk_about_dialog_set_comments _obj' maybeComments
    touchManagedPtr _obj
    freeMem maybeComments
    return ()

data AboutDialogSetCommentsMethodInfo
instance (signature ~ (Maybe (T.Text) -> m ()), MonadIO m, AboutDialogK a) => MethodInfo AboutDialogSetCommentsMethodInfo a signature where
    overloadedMethod _ = aboutDialogSetComments

-- method AboutDialog::set_copyright
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "_obj", argType = TInterface "Gtk" "AboutDialog", direction = DirectionIn, mayBeNull = False, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "copyright", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = True, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "gtk_about_dialog_set_copyright" gtk_about_dialog_set_copyright :: 
    Ptr AboutDialog ->                      -- _obj : TInterface "Gtk" "AboutDialog"
    CString ->                              -- copyright : TBasicType TUTF8
    IO ()


aboutDialogSetCopyright ::
    (MonadIO m, AboutDialogK a) =>
    a                                       -- _obj
    -> Maybe (T.Text)                       -- copyright
    -> m ()                                 -- result
aboutDialogSetCopyright _obj copyright = liftIO $ do
    let _obj' = unsafeManagedPtrCastPtr _obj
    maybeCopyright <- case copyright of
        Nothing -> return nullPtr
        Just jCopyright -> do
            jCopyright' <- textToCString jCopyright
            return jCopyright'
    gtk_about_dialog_set_copyright _obj' maybeCopyright
    touchManagedPtr _obj
    freeMem maybeCopyright
    return ()

data AboutDialogSetCopyrightMethodInfo
instance (signature ~ (Maybe (T.Text) -> m ()), MonadIO m, AboutDialogK a) => MethodInfo AboutDialogSetCopyrightMethodInfo a signature where
    overloadedMethod _ = aboutDialogSetCopyright

-- method AboutDialog::set_documenters
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "_obj", argType = TInterface "Gtk" "AboutDialog", direction = DirectionIn, mayBeNull = False, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "documenters", argType = TCArray True (-1) (-1) (TBasicType TUTF8), direction = DirectionIn, mayBeNull = False, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "gtk_about_dialog_set_documenters" gtk_about_dialog_set_documenters :: 
    Ptr AboutDialog ->                      -- _obj : TInterface "Gtk" "AboutDialog"
    Ptr CString ->                          -- documenters : TCArray True (-1) (-1) (TBasicType TUTF8)
    IO ()


aboutDialogSetDocumenters ::
    (MonadIO m, AboutDialogK a) =>
    a                                       -- _obj
    -> [T.Text]                             -- documenters
    -> m ()                                 -- result
aboutDialogSetDocumenters _obj documenters = liftIO $ do
    let _obj' = unsafeManagedPtrCastPtr _obj
    documenters' <- packZeroTerminatedUTF8CArray documenters
    gtk_about_dialog_set_documenters _obj' documenters'
    touchManagedPtr _obj
    mapZeroTerminatedCArray freeMem documenters'
    freeMem documenters'
    return ()

data AboutDialogSetDocumentersMethodInfo
instance (signature ~ ([T.Text] -> m ()), MonadIO m, AboutDialogK a) => MethodInfo AboutDialogSetDocumentersMethodInfo a signature where
    overloadedMethod _ = aboutDialogSetDocumenters

-- method AboutDialog::set_license
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "_obj", argType = TInterface "Gtk" "AboutDialog", direction = DirectionIn, mayBeNull = False, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "license", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = True, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "gtk_about_dialog_set_license" gtk_about_dialog_set_license :: 
    Ptr AboutDialog ->                      -- _obj : TInterface "Gtk" "AboutDialog"
    CString ->                              -- license : TBasicType TUTF8
    IO ()


aboutDialogSetLicense ::
    (MonadIO m, AboutDialogK a) =>
    a                                       -- _obj
    -> Maybe (T.Text)                       -- license
    -> m ()                                 -- result
aboutDialogSetLicense _obj license = liftIO $ do
    let _obj' = unsafeManagedPtrCastPtr _obj
    maybeLicense <- case license of
        Nothing -> return nullPtr
        Just jLicense -> do
            jLicense' <- textToCString jLicense
            return jLicense'
    gtk_about_dialog_set_license _obj' maybeLicense
    touchManagedPtr _obj
    freeMem maybeLicense
    return ()

data AboutDialogSetLicenseMethodInfo
instance (signature ~ (Maybe (T.Text) -> m ()), MonadIO m, AboutDialogK a) => MethodInfo AboutDialogSetLicenseMethodInfo a signature where
    overloadedMethod _ = aboutDialogSetLicense

-- method AboutDialog::set_license_type
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "_obj", argType = TInterface "Gtk" "AboutDialog", direction = DirectionIn, mayBeNull = False, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "license_type", argType = TInterface "Gtk" "License", direction = DirectionIn, mayBeNull = False, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "gtk_about_dialog_set_license_type" gtk_about_dialog_set_license_type :: 
    Ptr AboutDialog ->                      -- _obj : TInterface "Gtk" "AboutDialog"
    CUInt ->                                -- license_type : TInterface "Gtk" "License"
    IO ()


aboutDialogSetLicenseType ::
    (MonadIO m, AboutDialogK a) =>
    a                                       -- _obj
    -> License                              -- licenseType
    -> m ()                                 -- result
aboutDialogSetLicenseType _obj licenseType = liftIO $ do
    let _obj' = unsafeManagedPtrCastPtr _obj
    let licenseType' = (fromIntegral . fromEnum) licenseType
    gtk_about_dialog_set_license_type _obj' licenseType'
    touchManagedPtr _obj
    return ()

data AboutDialogSetLicenseTypeMethodInfo
instance (signature ~ (License -> m ()), MonadIO m, AboutDialogK a) => MethodInfo AboutDialogSetLicenseTypeMethodInfo a signature where
    overloadedMethod _ = aboutDialogSetLicenseType

-- method AboutDialog::set_logo
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "_obj", argType = TInterface "Gtk" "AboutDialog", direction = DirectionIn, mayBeNull = False, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "logo", argType = TInterface "GdkPixbuf" "Pixbuf", direction = DirectionIn, mayBeNull = True, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "gtk_about_dialog_set_logo" gtk_about_dialog_set_logo :: 
    Ptr AboutDialog ->                      -- _obj : TInterface "Gtk" "AboutDialog"
    Ptr GdkPixbuf.Pixbuf ->                 -- logo : TInterface "GdkPixbuf" "Pixbuf"
    IO ()


aboutDialogSetLogo ::
    (MonadIO m, AboutDialogK a, GdkPixbuf.PixbufK b) =>
    a                                       -- _obj
    -> Maybe (b)                            -- logo
    -> m ()                                 -- result
aboutDialogSetLogo _obj logo = liftIO $ do
    let _obj' = unsafeManagedPtrCastPtr _obj
    maybeLogo <- case logo of
        Nothing -> return nullPtr
        Just jLogo -> do
            let jLogo' = unsafeManagedPtrCastPtr jLogo
            return jLogo'
    gtk_about_dialog_set_logo _obj' maybeLogo
    touchManagedPtr _obj
    whenJust logo touchManagedPtr
    return ()

data AboutDialogSetLogoMethodInfo
instance (signature ~ (Maybe (b) -> m ()), MonadIO m, AboutDialogK a, GdkPixbuf.PixbufK b) => MethodInfo AboutDialogSetLogoMethodInfo a signature where
    overloadedMethod _ = aboutDialogSetLogo

-- method AboutDialog::set_logo_icon_name
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "_obj", argType = TInterface "Gtk" "AboutDialog", direction = DirectionIn, mayBeNull = False, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "icon_name", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = True, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "gtk_about_dialog_set_logo_icon_name" gtk_about_dialog_set_logo_icon_name :: 
    Ptr AboutDialog ->                      -- _obj : TInterface "Gtk" "AboutDialog"
    CString ->                              -- icon_name : TBasicType TUTF8
    IO ()


aboutDialogSetLogoIconName ::
    (MonadIO m, AboutDialogK a) =>
    a                                       -- _obj
    -> Maybe (T.Text)                       -- iconName
    -> m ()                                 -- result
aboutDialogSetLogoIconName _obj iconName = liftIO $ do
    let _obj' = unsafeManagedPtrCastPtr _obj
    maybeIconName <- case iconName of
        Nothing -> return nullPtr
        Just jIconName -> do
            jIconName' <- textToCString jIconName
            return jIconName'
    gtk_about_dialog_set_logo_icon_name _obj' maybeIconName
    touchManagedPtr _obj
    freeMem maybeIconName
    return ()

data AboutDialogSetLogoIconNameMethodInfo
instance (signature ~ (Maybe (T.Text) -> m ()), MonadIO m, AboutDialogK a) => MethodInfo AboutDialogSetLogoIconNameMethodInfo a signature where
    overloadedMethod _ = aboutDialogSetLogoIconName

-- method AboutDialog::set_program_name
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "_obj", argType = TInterface "Gtk" "AboutDialog", direction = DirectionIn, mayBeNull = False, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "name", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "gtk_about_dialog_set_program_name" gtk_about_dialog_set_program_name :: 
    Ptr AboutDialog ->                      -- _obj : TInterface "Gtk" "AboutDialog"
    CString ->                              -- name : TBasicType TUTF8
    IO ()


aboutDialogSetProgramName ::
    (MonadIO m, AboutDialogK a) =>
    a                                       -- _obj
    -> T.Text                               -- name
    -> m ()                                 -- result
aboutDialogSetProgramName _obj name = liftIO $ do
    let _obj' = unsafeManagedPtrCastPtr _obj
    name' <- textToCString name
    gtk_about_dialog_set_program_name _obj' name'
    touchManagedPtr _obj
    freeMem name'
    return ()

data AboutDialogSetProgramNameMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, AboutDialogK a) => MethodInfo AboutDialogSetProgramNameMethodInfo a signature where
    overloadedMethod _ = aboutDialogSetProgramName

-- method AboutDialog::set_translator_credits
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "_obj", argType = TInterface "Gtk" "AboutDialog", direction = DirectionIn, mayBeNull = False, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "translator_credits", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = True, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "gtk_about_dialog_set_translator_credits" gtk_about_dialog_set_translator_credits :: 
    Ptr AboutDialog ->                      -- _obj : TInterface "Gtk" "AboutDialog"
    CString ->                              -- translator_credits : TBasicType TUTF8
    IO ()


aboutDialogSetTranslatorCredits ::
    (MonadIO m, AboutDialogK a) =>
    a                                       -- _obj
    -> Maybe (T.Text)                       -- translatorCredits
    -> m ()                                 -- result
aboutDialogSetTranslatorCredits _obj translatorCredits = liftIO $ do
    let _obj' = unsafeManagedPtrCastPtr _obj
    maybeTranslatorCredits <- case translatorCredits of
        Nothing -> return nullPtr
        Just jTranslatorCredits -> do
            jTranslatorCredits' <- textToCString jTranslatorCredits
            return jTranslatorCredits'
    gtk_about_dialog_set_translator_credits _obj' maybeTranslatorCredits
    touchManagedPtr _obj
    freeMem maybeTranslatorCredits
    return ()

data AboutDialogSetTranslatorCreditsMethodInfo
instance (signature ~ (Maybe (T.Text) -> m ()), MonadIO m, AboutDialogK a) => MethodInfo AboutDialogSetTranslatorCreditsMethodInfo a signature where
    overloadedMethod _ = aboutDialogSetTranslatorCredits

-- method AboutDialog::set_version
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "_obj", argType = TInterface "Gtk" "AboutDialog", direction = DirectionIn, mayBeNull = False, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "version", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = True, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "gtk_about_dialog_set_version" gtk_about_dialog_set_version :: 
    Ptr AboutDialog ->                      -- _obj : TInterface "Gtk" "AboutDialog"
    CString ->                              -- version : TBasicType TUTF8
    IO ()


aboutDialogSetVersion ::
    (MonadIO m, AboutDialogK a) =>
    a                                       -- _obj
    -> Maybe (T.Text)                       -- version
    -> m ()                                 -- result
aboutDialogSetVersion _obj version = liftIO $ do
    let _obj' = unsafeManagedPtrCastPtr _obj
    maybeVersion <- case version of
        Nothing -> return nullPtr
        Just jVersion -> do
            jVersion' <- textToCString jVersion
            return jVersion'
    gtk_about_dialog_set_version _obj' maybeVersion
    touchManagedPtr _obj
    freeMem maybeVersion
    return ()

data AboutDialogSetVersionMethodInfo
instance (signature ~ (Maybe (T.Text) -> m ()), MonadIO m, AboutDialogK a) => MethodInfo AboutDialogSetVersionMethodInfo a signature where
    overloadedMethod _ = aboutDialogSetVersion

-- method AboutDialog::set_website
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "_obj", argType = TInterface "Gtk" "AboutDialog", direction = DirectionIn, mayBeNull = False, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "website", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = True, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "gtk_about_dialog_set_website" gtk_about_dialog_set_website :: 
    Ptr AboutDialog ->                      -- _obj : TInterface "Gtk" "AboutDialog"
    CString ->                              -- website : TBasicType TUTF8
    IO ()


aboutDialogSetWebsite ::
    (MonadIO m, AboutDialogK a) =>
    a                                       -- _obj
    -> Maybe (T.Text)                       -- website
    -> m ()                                 -- result
aboutDialogSetWebsite _obj website = liftIO $ do
    let _obj' = unsafeManagedPtrCastPtr _obj
    maybeWebsite <- case website of
        Nothing -> return nullPtr
        Just jWebsite -> do
            jWebsite' <- textToCString jWebsite
            return jWebsite'
    gtk_about_dialog_set_website _obj' maybeWebsite
    touchManagedPtr _obj
    freeMem maybeWebsite
    return ()

data AboutDialogSetWebsiteMethodInfo
instance (signature ~ (Maybe (T.Text) -> m ()), MonadIO m, AboutDialogK a) => MethodInfo AboutDialogSetWebsiteMethodInfo a signature where
    overloadedMethod _ = aboutDialogSetWebsite

-- method AboutDialog::set_website_label
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "_obj", argType = TInterface "Gtk" "AboutDialog", direction = DirectionIn, mayBeNull = False, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "website_label", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "gtk_about_dialog_set_website_label" gtk_about_dialog_set_website_label :: 
    Ptr AboutDialog ->                      -- _obj : TInterface "Gtk" "AboutDialog"
    CString ->                              -- website_label : TBasicType TUTF8
    IO ()


aboutDialogSetWebsiteLabel ::
    (MonadIO m, AboutDialogK a) =>
    a                                       -- _obj
    -> T.Text                               -- websiteLabel
    -> m ()                                 -- result
aboutDialogSetWebsiteLabel _obj websiteLabel = liftIO $ do
    let _obj' = unsafeManagedPtrCastPtr _obj
    websiteLabel' <- textToCString websiteLabel
    gtk_about_dialog_set_website_label _obj' websiteLabel'
    touchManagedPtr _obj
    freeMem websiteLabel'
    return ()

data AboutDialogSetWebsiteLabelMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, AboutDialogK a) => MethodInfo AboutDialogSetWebsiteLabelMethodInfo a signature where
    overloadedMethod _ = aboutDialogSetWebsiteLabel

-- method AboutDialog::set_wrap_license
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "_obj", argType = TInterface "Gtk" "AboutDialog", direction = DirectionIn, mayBeNull = False, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "wrap_license", argType = TBasicType TBoolean, direction = DirectionIn, mayBeNull = False, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "gtk_about_dialog_set_wrap_license" gtk_about_dialog_set_wrap_license :: 
    Ptr AboutDialog ->                      -- _obj : TInterface "Gtk" "AboutDialog"
    CInt ->                                 -- wrap_license : TBasicType TBoolean
    IO ()


aboutDialogSetWrapLicense ::
    (MonadIO m, AboutDialogK a) =>
    a                                       -- _obj
    -> Bool                                 -- wrapLicense
    -> m ()                                 -- result
aboutDialogSetWrapLicense _obj wrapLicense = liftIO $ do
    let _obj' = unsafeManagedPtrCastPtr _obj
    let wrapLicense' = (fromIntegral . fromEnum) wrapLicense
    gtk_about_dialog_set_wrap_license _obj' wrapLicense'
    touchManagedPtr _obj
    return ()

data AboutDialogSetWrapLicenseMethodInfo
instance (signature ~ (Bool -> m ()), MonadIO m, AboutDialogK a) => MethodInfo AboutDialogSetWrapLicenseMethodInfo a signature where
    overloadedMethod _ = aboutDialogSetWrapLicense


