module GI.Gtk.Objects.Settings where

import Data.GI.Base.ShortPrelude

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map

newtype Settings = Settings (ForeignPtr Settings)
instance GObject Settings where
class GObject o => SettingsK o
instance (GObject o, IsDescendantOf Settings o) => SettingsK o
data SettingsGtkAlternativeButtonOrderPropertyInfo
data SettingsGtkAlternativeSortArrowsPropertyInfo
data SettingsGtkApplicationPreferDarkThemePropertyInfo
data SettingsGtkAutoMnemonicsPropertyInfo
data SettingsGtkButtonImagesPropertyInfo
data SettingsGtkCanChangeAccelsPropertyInfo
data SettingsGtkColorPalettePropertyInfo
data SettingsGtkColorSchemePropertyInfo
data SettingsGtkCursorBlinkPropertyInfo
data SettingsGtkCursorBlinkTimePropertyInfo
data SettingsGtkCursorBlinkTimeoutPropertyInfo
data SettingsGtkCursorThemeNamePropertyInfo
data SettingsGtkCursorThemeSizePropertyInfo
data SettingsGtkDecorationLayoutPropertyInfo
data SettingsGtkDialogsUseHeaderPropertyInfo
data SettingsGtkDndDragThresholdPropertyInfo
data SettingsGtkDoubleClickDistancePropertyInfo
data SettingsGtkDoubleClickTimePropertyInfo
data SettingsGtkEnableAccelsPropertyInfo
data SettingsGtkEnableAnimationsPropertyInfo
data SettingsGtkEnableEventSoundsPropertyInfo
data SettingsGtkEnableInputFeedbackSoundsPropertyInfo
data SettingsGtkEnableMnemonicsPropertyInfo
data SettingsGtkEnablePrimaryPastePropertyInfo
data SettingsGtkEnableTooltipsPropertyInfo
data SettingsGtkEntryPasswordHintTimeoutPropertyInfo
data SettingsGtkEntrySelectOnFocusPropertyInfo
data SettingsGtkErrorBellPropertyInfo
data SettingsGtkFallbackIconThemePropertyInfo
data SettingsGtkFileChooserBackendPropertyInfo
data SettingsGtkFontNamePropertyInfo
data SettingsGtkFontconfigTimestampPropertyInfo
data SettingsGtkIconSizesPropertyInfo
data SettingsGtkIconThemeNamePropertyInfo
data SettingsGtkImModulePropertyInfo
data SettingsGtkImPreeditStylePropertyInfo
data SettingsGtkImStatusStylePropertyInfo
data SettingsGtkKeyThemeNamePropertyInfo
data SettingsGtkKeynavCursorOnlyPropertyInfo
data SettingsGtkKeynavWrapAroundPropertyInfo
data SettingsGtkLabelSelectOnFocusPropertyInfo
data SettingsGtkLongPressTimePropertyInfo
data SettingsGtkMenuBarAccelPropertyInfo
data SettingsGtkMenuBarPopupDelayPropertyInfo
data SettingsGtkMenuImagesPropertyInfo
data SettingsGtkMenuPopdownDelayPropertyInfo
data SettingsGtkMenuPopupDelayPropertyInfo
data SettingsGtkModulesPropertyInfo
data SettingsGtkPrimaryButtonWarpsSliderPropertyInfo
data SettingsGtkPrintBackendsPropertyInfo
data SettingsGtkPrintPreviewCommandPropertyInfo
data SettingsGtkRecentFilesEnabledPropertyInfo
data SettingsGtkRecentFilesLimitPropertyInfo
data SettingsGtkRecentFilesMaxAgePropertyInfo
data SettingsGtkScrolledWindowPlacementPropertyInfo
data SettingsGtkShellShowsAppMenuPropertyInfo
data SettingsGtkShellShowsDesktopPropertyInfo
data SettingsGtkShellShowsMenubarPropertyInfo
data SettingsGtkShowInputMethodMenuPropertyInfo
data SettingsGtkShowUnicodeMenuPropertyInfo
data SettingsGtkSoundThemeNamePropertyInfo
data SettingsGtkSplitCursorPropertyInfo
data SettingsGtkThemeNamePropertyInfo
data SettingsGtkTimeoutExpandPropertyInfo
data SettingsGtkTimeoutInitialPropertyInfo
data SettingsGtkTimeoutRepeatPropertyInfo
data SettingsGtkTitlebarDoubleClickPropertyInfo
data SettingsGtkTitlebarMiddleClickPropertyInfo
data SettingsGtkTitlebarRightClickPropertyInfo
data SettingsGtkToolbarIconSizePropertyInfo
data SettingsGtkToolbarStylePropertyInfo
data SettingsGtkTooltipBrowseModeTimeoutPropertyInfo
data SettingsGtkTooltipBrowseTimeoutPropertyInfo
data SettingsGtkTooltipTimeoutPropertyInfo
data SettingsGtkTouchscreenModePropertyInfo
data SettingsGtkVisibleFocusPropertyInfo
data SettingsGtkXftAntialiasPropertyInfo
data SettingsGtkXftDpiPropertyInfo
data SettingsGtkXftHintingPropertyInfo
data SettingsGtkXftHintstylePropertyInfo
data SettingsGtkXftRgbaPropertyInfo
data SettingsSetDoublePropertyMethodInfo
data SettingsSetLongPropertyMethodInfo
data SettingsSetPropertyValueMethodInfo
data SettingsSetStringPropertyMethodInfo
